﻿#This is the settings code for Yaruge Girl Triona.  Definitions belong here.

init -1:
    python hide:

        config.developer = False 
        config.screen_width = 800
        config.screen_height = 450        
        config.window_title = u"Yaruge Girl Triona"

## Theme Roundrect removed

        style.default.color = "FFFFFF"
        style.default.drop_shadow = (2, 2)
        style.default.drop_shadow_color = "000000"
        style.default.size = 20
        style.button_text.size = 16
        style.file_picker_text.size = 16
        style.prefs_js_button_text.size = 16
        style.prefs_label.size = 16
        config.has_sound = True
        config.has_music = True
        config.has_voice = True




#PyTom's menu 
init python:
    def set_variable(name, value):
        setattr(store, name, value)
        return True

    setsvar = renpy.curry(set_variable)

    def choicebutton(label, var, value, **properties):
        if getattr(store, var) == value:
            role = "selected_"
        else:
            role = ""

        ui.textbutton(label, clicked=setsvar(var, value), role=role, **properties)

#Counter Arts' particle burst
init:
    python:

        class ExplodeFactory: # the factory that makes the particles

            def __init__(self, theDisplayable, explodeTime=0, numParticles=20):
                self.displayable = theDisplayable
                self.time = explodeTime
                self.particleMax = numParticles

            def create(self, partList, timePassed):
                newParticles = None
                if partList == None or len(partList) < self.particleMax:
                    if timePassed < self.time or self.time == 0:
                        newParticles = self.createParticles()
                return newParticles


            def createParticles(self):
                timeDelay = renpy.random.random() * 0.6
                return [ExplodeParticle(self.displayable, timeDelay)]

            def predict(self):
                return [self.displayable]

init:
    python:
        class ExplodeParticle:

            def __init__(self, theDisplayable, timeDelay):
                self.displayable = theDisplayable
                self.delay = timeDelay
                self.xSpeed = (renpy.random.random() - 0.5) * 0.02
                self.ySpeed = (renpy.random.random() - 0.5) * 0.02
                self.xPos = 0.5
                self.yPos = 0.5

            def update(self, theTime):

                if (theTime > self.delay):
                    self.xPos += self.xSpeed
                    self.yPos += self.ySpeed

                    if self.xPos > 1.05 or self.xPos < -1.05 or self.yPos > 1.05 or self.yPos < -1.05:
                        return None

                return (self.xPos, self.yPos, theTime, self.displayable)


##Disabled settings:

        ## Sounds that are used when button and imagemaps are clicked.

        # style.button.activate_sound = "click.wav"
        # style.imagemap.activate_sound = "click.wav"

        ## Sounds that are used when entering and exiting the game menu.

        # config.enter_sound = "click.wav"
        # config.exit_sound = "click.wav"

        ## A sample sound that can be played to check the sound volume.

        # config.sample_sound = "click.wav"

        #########################################
        ## Transitions.

        ## Used when entering the game menu from the game.
        config.enter_transition = None

        ## Used when exiting the game menu to the game.
        config.exit_transition = None

        ## Used between screens of the game menu.
        config.intra_transition = None

        ## Used when entering the game menu from the main menu.
        config.main_game_transition = None

        ## Used when returning to the main menu from the game.
        config.game_main_transition = None

        ## Used when entering the main menu from the splashscreen.
        config.end_splash_transition = None

        ## Used when entering the main menu after the game has ended.
        config.end_game_transition = None
        
        #########################################
        ## Default values of Preferences.

        ## Note: These options are only evaluated the first time a
        ## game is run. To have them run a second time, delete
        ## game/saves/persistent
        
        ## Should we start in fullscreen mode?
        config.default_fullscreen = False

        ## The default text speed in characters per second. 0 is infinite.
        config.default_text_cps = 0

##my custom stuff
init:

        ## Music that is played while the user is at the main menu.
    
#    $ config.main_menu_music = "epic_plain.ogg" DISABLED

# setting colors of text.  I liked the white/gray/black shadings of Colorless Day so borrowed it here.
    $ gb = (0, 0, 0, 0)
    $ g0 = (0, 0, 0, 255)
    $ g96 = (96, 96, 96, 255)
    $ g64 = (64, 64, 64, 255)
    $ g128 = (128, 128, 128, 255)
    $ g160 = (160, 160, 160, 255)
    $ g192 = (192, 192, 192, 255)
    $ g255 = (255, 255, 255, 255)

    $ style.default.color = g192

    $ style.file_picker_entry.background = Solid(g96)
    $ style.file_picker_entry.hover_background = Solid(g192)
    $ style.file_picker_entry.activate_background = Solid(g192)
    $ style.file_picker_text.color = g192
    $ style.file_picker_text.hover_color = g192
    $ style.file_picker_new.hover_color = g96
    $ style.file_picker_new.activate_color = g192
    $ style.file_picker_new.idle_color = g96

    $ style.prefs_label.color = g128
    $ style.prefs_js_button_text.color = g192
    $ style.prefs_label.color = g128

    $ style.yesno_label.color = g128

    $ style.button_text.color = g128
    $ style.button_text.insensitive_color = g192
    $ style.button_text.hover_color = g255

    $ style.selected_button_text.color = gb
    $ style.selected_button_text.hover_color = g255
    $ style.selected_button_text.activate_color = g128

    $ style.bar.left_bar = Solid(g128)
    $ style.bar.right_bar = Solid(g96)

    $ style.mm_root.background = "YGT_maintitle.jpg"
    $ style.gm_root.background = "#71C7FD"

#Customize main menu
init:
    python hide:
        library.main_menu_positions = {
            'Start Game' : dict(xpos=20, ypos=10, xanchor='left', yanchor='top'),
            'Continue Game' : dict(xpos=170, ypos=10, xanchor='left', yanchor='top'),
#            'Consummation' : dict(xpos=350, ypos=10, xanchor='left', yanchor='top'),
            'Preferences' : dict(xpos=540, ypos=10, xanchor='left', yanchor='top'),
            'Quit' : dict(xpos=700, ypos=10, xanchor='left', yanchor='top'),
            }
init:
    $ menu = nvl_menu
    $ style.nvl_menu_choice_button.xfill = False
    $ style.nvl_menu_choice.color = "#CCCCCC"
    $ style.nvl_menu_choice_button.hover_background = "#898989" 
    $ style.nvl_menu_choice_chosen.color = "464646" 
    
    $ bouncefactor = 0.1 #This is to prevent lint from crapping
    
#Splash screen declarations
init:
    image dafoollogobase = "dafoollogo.jpg"
    $ dafoollogobasegray = im.Sepia("dafoollogo.jpg")
    image dafoollogoalpha = im.Alpha(dafoollogobasegray, 0.5)
    image black = Solid((0, 0, 0, 255))
    image white = Solid((255, 255, 255, 255))
    $ pos = Position(xpos=160, xanchor=0, ypos=45, yanchor=0) 
    
# in-game splash screen loader

label splashscreen:
    $ game_had_started = False
    
    $ renpy.pause(0)
    scene black
    show text "Disclaimer \n \n Due to scenes with graphic sexual content, use of this program is restricted to adults of legal age.\n Please do not alter this warning, and use discretion during distribution. If you alter contents, do not claim to be the original source.  \n \n Not for sale or rent."
    $ renpy.pause(4.5)
    $ renpy.music.play ("dafoolintroshort.ogg", loop=False)
    scene white
    show dafoollogobase at pos
    with Dissolve(0.2)
    with Pause (1.0)
    hide dafoollogobase
    show dafoollogoalpha at pos
    show text "\n \n \n \n \n \n \n \n \n \n \n \n \n \n \n \n \n {color=#F99C17}http://DaFool.visualnews.googlepages.com{/color}"
    with Dissolve(3.0)
    $ renpy.music.stop(fadeout=2.0)
    with Pause (2.0)
    scene black
    with Dissolve(0.5)
    return

# Images specific to opening animation
init:
    image presplasher = "presplash.png"

    image bluelayer = "#000040"
    image lightbluelayer = "#71C7FD"
    image pinklayer = "#EF9FFF"

    image head1 = "OP_head1.jpg"
    image head2 = "OP_head2.jpg"
    image head3 = "OP_head3.jpg"
    
    image boom1 = Particles(ExplodeFactory("OP_head1.jpg", numParticles=25, explodeTime = 1.0))
    image boom2 = Particles(ExplodeFactory("OP_head2.jpg", numParticles=25, explodeTime = 1.0))
    image boom3 = Particles(ExplodeFactory("OP_head3.jpg", numParticles=25, explodeTime = 1.0))
    image boom4 = Particles(ExplodeFactory("PR_b1.png", numParticles=60, explodeTime = 1.0)) 
    image boom5 = Particles(ExplodeFactory("PR_b2.png", numParticles=50, explodeTime = 1.5))   
    image boom6 = Particles(ExplodeFactory("PR_b3.png", numParticles=60, explodeTime = 1.0)) 
    image boom7 = Particles(ExplodeFactory("PR_b2.png", numParticles=40, explodeTime = 2.0))   
  
    
    image titleplacard = im.Scale("YGT_maintitle.jpg", 400, 225)

    $ pc1 = im.Scale("OP_piece1.jpg", 200, 150)
    $ pc2 = im.Scale("OP_piece2.jpg", 200, 150) 
    $ pc3 = im.Scale("OP_piece3.jpg", 200, 150)
    $ pc4 = im.Scale("OP_piece4.jpg", 200, 150)  
    $ pc5 = im.Scale("OP_piece5.jpg", 200, 150)
    $ pc6 = im.Scale("OP_piece6_boobs.jpg", 200, 150)  
    $ pc7 = im.Scale("OP_piece7.jpg", 200, 150)
    $ pc8 = im.Scale("OP_piece8.jpg", 200, 150) 
    $ pc9 = im.Scale("OP_piece9.jpg", 200, 150)
    $ pc10 = im.Scale("OP_piece10.jpg", 200, 150)  
    $ pc11 = im.Scale("OP_piece11.jpg", 200, 150)
    $ pc12 = im.Scale("OP_piece12.jpg", 200, 150)          

    image piece1 = im.Sepia(pc1)
    image piece2 = im.Sepia(pc2)
    image piece3 = im.Sepia(pc3)
    image piece4 = im.Sepia(pc4)
    image piece5 = im.Sepia(pc5)
    image piece6 = im.Sepia(pc6)
    image boobfocus = Image(pc6)
    image piece7 = im.Sepia(pc7)
    image piece8 = im.Sepia(pc8)
    image piece9 = im.Sepia(pc9)
    image piece10 = im.Sepia(pc10)
    image piece11 = im.Sepia(pc11)
    image piece12 = im.Sepia(pc12)
    
    image piece1c = Image(pc1)
    image piece2c = Image(pc2)
    image piece3c = Image(pc3)
    image piece4c = Image(pc4)
    image piece5c = Image(pc5)
    image piece6c = Image(pc6)
    image boobfocusc = Image(pc6)
    image piece7c = Image(pc7)
    image piece8c = Image(pc8)
    image piece9c = Image(pc9)
    image piece10c = Image(pc10)
    image piece11c = Image(pc11)
    image piece12c = Image(pc12)
    
    image seq1 = im.Scale("OP_seq1.jpg", 300, 300)
    image seq2 = im.Scale("OP_seq2.jpg", 300, 300)
    image seq3 = im.Scale("OP_seq3.jpg", 300, 300)
    image sit1 = im.Scale("OP_sit1.jpg", 500, 450)
    image sit2 = im.Scale("OP_sit2.jpg", 500, 450)
    image sit3 = im.Scale("OP_sit3.jpg", 500, 450)
    
    image legs = im.Scale("OP_legs.jpg", 300, 250)
    image profile = im.Scale("OPfullOL.png", 200, 450)
    image pincess = im.Scale("OP_static1.jpg", 800, 450)

    image kiss1 = im.Scale("OP_kiss1.jpg", 800, 450)
    image kiss2 = im.Scale("OP_kiss2.jpg", 800, 450)

    image nurso = im.Scale("OP_static2.jpg", 800, 450)

    $ siti1 = im.Scale("OP_sit1.jpg", 500, 450)
    $ nursos = im.Scale("OP_static2.jpg", 800, 450)
    $ kissy1 = im.Scale("OP_kiss1.jpg", 800, 450)
    $ kissy2 = im.Scale("OP_kiss2.jpg", 800, 450)   
#fuzzy effect first seen in Gakuen Redux, used somewhere in the OP
init: 

    image sit1alpha = im.Alpha(siti1, 0.5)
    image nursoalpha = im.Alpha(nursos, 0.5) 
    image kiss1alpha = im.Alpha(kissy1, 0.5)
    image kiss2alpha = im.Alpha(kissy2, 0.5)
    
    python hide: 
        def gen_randmotion(count, dist, delay): 
            import random 
            args = [ ] 
            for i in range(0, count): 
                args.append(anim.State(i, None, 
                                       Position(xpos=random.randrange(-dist, dist), 
                                                ypos=random.randrange(-dist, dist), 
                                                xanchor='left', 
                                                yanchor='top', 
                                                ))) 
            for i in range(0, count): 
                for j in range(0, count): 
                    if i == j: 
                        continue 
                    args.append(anim.Edge(i, delay, j, MoveTransition(delay))) 
            return anim.SMAnimation(0, *args) 
        store.randmotion = gen_randmotion(5, 5, 1.0) 

# Positioning declarations for Opening animation images
init:
    $ pce1 = Position(xpos=0, xanchor=0, ypos=300, yanchor=0)
    $ pce2 = Position(xpos=200, xanchor=0, ypos=300, yanchor=0)
    $ pce3 = Position(xpos=400, xanchor=0, ypos=300, yanchor=0)
    $ pce4 = Position(xpos=600, xanchor=0, ypos=300, yanchor=0)
    $ pce5 = Position(xpos=0, xanchor=0, ypos=150, yanchor=0)
    $ pce6 = Position(xpos=200, xanchor=0, ypos=150, yanchor=0)
    $ pce7 = Position(xpos=400, xanchor=0, ypos=150, yanchor=0)
    $ pce8 = Position(xpos=600, xanchor=0, ypos=150, yanchor=0)
    $ pce9 = Position(xpos=0, xanchor=0, ypos=0, yanchor=0)
    $ pce10 = Position(xpos=200, xanchor=0, ypos=0, yanchor=0)
    $ pce11 = Position(xpos=400, xanchor=0, ypos=0, yanchor=0)
    $ pce12 = Position(xpos=600, xanchor=0, ypos=0, yanchor=0)

    $ placardpos = Position(xpos=200, xanchor=0, ypos=112, yanchor=0)
    $ seqpos = Position(xpos=100, xanchor=0, ypos=75, yanchor=0)
    $ rightpos = Position(xpos=500, xanchor=0, ypos=50, yanchor=0)

    $ presplasherpos = Position(xpos=299, xanchor=0, ypos=125, yanchor=0)

    $ z = Zoom((800, 450), (200, 0, 400, 225), (200, 0, 400, 225), 0)
    $ v = Position(xpos=300, xanchor=0, ypos=250, yanchor=0)
    $ b1 = Position(xpos=280, xanchor=0, ypos=60, yanchor=0)
    $ b2 = Position(xpos=280, xanchor=0, ypos=360, yanchor=0)
    $ b3 = Position(xpos=480, xanchor=0, ypos=210, yanchor=0)
    $ m = Position(xpos=300, xanchor=0, ypos=200, yanchor=0)
    $ m2 = Position(xpos=282, xanchor=0, ypos=200, yanchor=0)
    $ th = Position(xpos=300, xanchor=0, ypos=400, yanchor=0)
    $ bf = Position(xpos=300, xanchor=0, ypos=0, yanchor=0)
    $ bf2 = Position(xpos=120, xanchor=0, ypos=0, yanchor=0)
    $ c = Position(xpos=200, xanchor=0, ypos=25, yanchor=0)
    $ rb = Position(xpos=400, xanchor=0, ypos=200, yanchor=0)
    $ flashbulb = Fade(0.2, 0.0, 0.8, color='#fff')
    $ flashscene = Fade(0.2, 0.0, 0.8, color='#000')
    $ p_bodypaint = Position(xpos=350, xanchor=0, ypos=160, yanchor=0)
    $ p_bodypaintC = Position(xpos=360, xanchor=0, ypos=160, yanchor=0)
    $ p_nightie = Position(xpos=300, xanchor=0, ypos=100, yanchor=0)

#--------------------------------

#setup / customizer screens
    image customizerscreen regular = "customizerscreen.png"
    image customizerscreen purple = im.MatrixColor("customizerscreen.png", im.matrix.hue(80))
    
#Backgrounds for individual viewing. 

    image cellar = "BG_cellar.jpg"
    image roomday = "BG_roomday.jpg"   #Normal daytime talk
    image scenic = "BG_scenic.jpg"        #Close-up event talk / reminisce
    image sky = "BG_sky.jpg"                #Close-up event talk / reminisce
    image quaint = "BG_quaint.jpg"
    image quaintnight = "BG_quaintnight.jpg"

    $ cellarcomposite = im.Composite((800, 450), (0, 0), "BG_cellar.jpg", (200, 0), "BG_cellarchains.png")

#Backgrounds for eroscenes
    $ bg = ConditionSwitch(
        "bgstatus == 'cellarchains'", Image(cellarcomposite),  #Hostage situation
        "bgstatus == 'roomnight'", "BG_roomnight.jpg",          #Nurse Me situation
        "bgstatus == 'palacefloor'", "BG_palacefloor.jpg",       #Renaissance situation
        "bgstatus == 'roomday'", "BG_roomday.jpg",          #Normal conversation
        "bgstatus == 'insidecar'", "BG_insidecar.jpg",          #insert insidecar bg for Wacko in Car situation
        "bgstatus == 'bed'", "BG_AF_bed.jpg",  #Playmate
        "bgstatus == 'office'", "BG_AF_office.jpg",  #Secretary
    )
    image backgnd = LiveComposite((800, 450), (0, 0), bg) # for display in OP and elsewhere outside of ero scenes

#-------------------------------------
#Now declaring various im.matrix.hue-transformed images for all scenes

    $ PS_sexy = im.Composite((340, 390), (0, 0), "PS_sexy.png", (0, 0), "PS_sexylines.png")
    
    $ dbsexy = im.MatrixColor(PS_sexy, im.matrix.hue(30))
    $ dbpatch = im.MatrixColor("PS_wide.png", im.matrix.hue(30))
    $ dbsofa = im.MatrixColor("PS_bodysofa.png", im.matrix.hue(30))
    $ dbsofathink = im.MatrixColor("PS_bodysofathink.png", im.matrix.hue(30))
    $ dbchair = im.MatrixColor("PS_bodychair.png", im.matrix.hue(30))
    $ dbchairthink = im.MatrixColor("PS_bodychairthink.png", im.matrix.hue(30))
    $ darkhead = im.MatrixColor("HD_base.png", im.matrix.hue(30))

    $ defaulthead = "HD_base.png"
    image blush = "HD_blush.png"
    image blush2 = im.Alpha("HD_blush.png", 0.5)

    $ lvagsitclosed = "VG_sitclosed.png"
    $ lvagsitopen = "VG_sitopen.png"
    $ lvagsitwet = "VG_sitwet.png"
    $ dvagsitclosed = im.MatrixColor("VG_sitclosed.png", im.matrix.hue(30))
    $ dvagsitopen = im.MatrixColor("VG_sitopen.png", im.matrix.hue(30))
    $ dvagsitwet = im.MatrixColor("VG_sitwet.png", im.matrix.hue(30))
    
    image vagsit closed = ConditionSwitch(
        "bodytonetype != 'yellow'", Image(lvagsitclosed),
        "bodytonetype == 'yellow'", Image(dvagsitclosed),
    )
    image vagsit open = ConditionSwitch(
        "bodytonetype != 'yellow'", Image(lvagsitopen),
        "bodytonetype == 'yellow'", Image(dvagsitopen),
    )
    image vagsit wet = ConditionSwitch(
        "bodytonetype != 'yellow'", Image(lvagsitwet),
        "bodytonetype == 'yellow'", Image(dvagsitwet),
    )
    
    $ dkneelclosed = im.MatrixColor("VG_kneelclosed.png", im.matrix.hue(30)),
    $ dkneelopen = im.MatrixColor("VG_kneelopen.png", im.matrix.hue(30)),
    
#Define dynamic displayables for "Artificial Girl" settings

##----Normal situation poses----

#define alternate colors
    $ clothessofaXhue = im.MatrixColor("PS_clothessofa.png", im.matrix.hue(144))
    $ clothessofaXhuethink = im.MatrixColor("PS_clothessofathink.png", im.matrix.hue(144))
    $ clotheschairXhue = im.MatrixColor("PS_clotheschair.png", im.matrix.hue(144))
    $ clotheschairXhuethink = im.MatrixColor("PS_clotheschairthink.png", im.matrix.hue(144))

#define black and brown hair
    $ redrecolor = im.Recolor("HR_redhead.png", 0, 255, 255, 255)
    $ redrecoloralt = im.Recolor("HR_redheadalt.png", 0, 255, 255, 255)
    $ blonderecolor = im.MatrixColor("HR_blonde.png", im.matrix.hue(-30))
    $ blonderecolorAF = im.MatrixColor("HR_blondeAF.png", im.matrix.hue(-30))
    $ blonderecoloralt = im.MatrixColor("HR_blondealt.png", im.matrix.hue(-30))
    $ blackhair = im.Grayscale(redrecolor)
    $ blackhairalt = im.Grayscale(redrecoloralt)
    
    $ blacklong = im.MatrixColor("HR_blonde.png", im.matrix.saturation(.1) *im.matrix([
10, 0, 0, 0, -9,
0, 10, 0, 0, -9, 
0, 0, 10, 0, -9,
0, 0, 0, 1, 0]))   

    $ blacklongAF = im.MatrixColor("HR_blondeAF.png", im.matrix.saturation(.1) *im.matrix([
10, 0, 0, 0, -9,
0, 10, 0, 0, -9, 
0, 0, 10, 0, -9,
0, 0, 0, 1, 0]))   

    $ blacklongalt = im.MatrixColor("HR_blondealt.png", im.matrix.saturation(.1) *im.matrix([
10, 0, 0, 0, -9,
0, 10, 0, 0, -9, 
0, 0, 10, 0, -9,
0, 0, 0, 1, 0]))   


    $ nonmeganeheadwhite = defaulthead
    $ nonmeganeheadyellow = darkhead
    $ meganeheadwhite = im.Composite((200, 180), (0, 0), defaulthead, (0, 0), "HD_megane.png")
    $ meganeheadyellow = im.Composite((200, 180), (0, 0), darkhead, (0, 0), "HD_megane.png")
    $ headpart = ConditionSwitch(
        "bodytonetype != 'yellow' and glasses == 'no'", Image(nonmeganeheadwhite),
        "bodytonetype != 'yellow' and glasses == 'yes'", Image(meganeheadwhite),
        "bodytonetype == 'yellow' and glasses == 'no'", Image(nonmeganeheadyellow),
        "bodytonetype == 'yellow' and glasses == 'yes'", Image(meganeheadyellow),
    )
    $ nosepart = ConditionSwitch(
        "bodytonetype != 'yellow'", "PS_earnosesharp.png",
        "bodytonetype == 'yellow'", "PS_earnose.png",
    )
    
#define the types of poses
    $ lsofa = im.Composite((560,390), (0, 0), "PS_sofa.png", (0,0), "PS_bodysofa.png", (0, 0), "PS_clothessofa.png", (0,0), "PS_prop_sofa.png", (0, 0), "PS_sofa_nosofa.png")
    $ lsofathink = im.Composite((560,390), (0, 0), "PS_sofa.png", (0,0), "PS_bodysofathink.png", (0, 0), "PS_clothessofathink.png", (0, 0), "PS_prop_sofathink.png", (0, 0), "PS_sofathink_nosofa.png")
    $ lchair = im.Composite((560,390), (0, 0), "PS_chair.png", (0, 0), "PS_bodychair.png", (0, 0), "PS_clotheschair.png", (0,0), "PS_prop_chair.png", (0, 0), "PS_chair_nochair.png")
    $ lchairthink = im.Composite((560,390), (0, 0), "PS_chair.png", (0,0), "PS_bodychairthink.png", (0, 0), "PS_clotheschairthink.png", (0,0), "PS_prop_chairthink.png", (0, 0), "PS_chairthink_nochair.png")
    $ lsofadark = im.Composite((560,390), (0, 0), "PS_sofa.png", (0,0), "PS_bodysofa.png", (0, 0), clothessofaXhue, (0,0), "PS_prop_sofa.png", (0, 0), "PS_sofa_nosofa.png")
    $ lsofathinkdark = im.Composite((560,390), (0, 0), "PS_sofa.png", (0,0), "PS_bodysofathink.png", (0, 0), clothessofaXhuethink, (0, 0), "PS_prop_sofathink.png", (0, 0), "PS_sofathink_nosofa.png")
    $ lchairdark = im.Composite((560,390), (0, 0), "PS_chair.png", (0, 0), "PS_bodychair.png", (0, 0), clotheschairXhue, (0,0), "PS_prop_chair.png", (0, 0), "PS_chair_nochair.png")
    $ lchairthinkdark = im.Composite((560,390), (0, 0), "PS_chair.png", (0,0), "PS_bodychairthink.png", (0, 0), clotheschairXhuethink, (0,0), "PS_prop_chairthink.png", (0, 0), "PS_chairthink_nochair.png")    
# for darker skin tone
    $ dsofa = im.Composite((560,390), (0, 0), "PS_sofa.png", (0,0), dbsofa, (0, 0), "PS_clothessofa.png", (0,0), "PS_prop_sofa.png", (0, 0), "PS_sofa_nosofa.png")
    $ dsofathink = im.Composite((560,390), (0, 0), "PS_sofa.png", (0,0), dbsofathink, (0, 0), "PS_clothessofathink.png", (0, 0), "PS_prop_sofathink.png", (0, 0), "PS_sofathink_nosofa.png")
    $ dchair = im.Composite((560,390), (0, 0), "PS_chair.png", (0, 0), dbchair, (0, 0), "PS_clotheschair.png", (0,0), "PS_prop_chair.png", (0, 0), "PS_chair_nochair.png")
    $ dchairthink = im.Composite((560,390), (0, 0), "PS_chair.png", (0,0), dbchairthink, (0, 0), "PS_clotheschairthink.png", (0,0), "PS_prop_chairthink.png", (0, 0), "PS_chairthink_nochair.png")
    $ dsofadark = im.Composite((560,390), (0, 0), "PS_sofa.png", (0,0), dbsofa, (0, 0), clothessofaXhue, (0,0), "PS_prop_sofa.png", (0, 0), "PS_sofa_nosofa.png")
    $ dsofathinkdark = im.Composite((560,390), (0, 0), "PS_sofa.png", (0,0), dbsofathink, (0, 0), clothessofaXhuethink, (0, 0), "PS_prop_sofathink.png", (0, 0), "PS_sofathink_nosofa.png")
    $ dchairdark = im.Composite((560,390), (0, 0), "PS_chair.png", (0, 0), dbchair, (0, 0), clotheschairXhue, (0,0), "PS_prop_chair.png", (0, 0), "PS_chair_nochair.png")
    $ dchairthinkdark = im.Composite((560,390), (0, 0), "PS_chair.png", (0,0), dbchairthink, (0, 0), clotheschairXhuethink, (0,0), "PS_prop_chairthink.png", (0, 0), "PS_chairthink_nochair.png")   

#compile the poses
    $ mainpose = ConditionSwitch(
        "bodytonetype != 'yellow' and chairstatus == 'sofa' and clothestype == 'light' and posestatus == 'p1'", Image(lsofa),
        "bodytonetype != 'yellow' and chairstatus == 'chair' and clothestype == 'light' and posestatus == 'p1'", Image(lchair),
        "bodytonetype != 'yellow' and chairstatus == 'sofa' and clothestype == 'light' and posestatus == 'p2'", Image(lsofathink),
        "bodytonetype != 'yellow' and chairstatus == 'chair' and clothestype == 'light' and posestatus == 'p2'", Image(lchairthink),
        "bodytonetype != 'yellow' and chairstatus == 'sofa' and clothestype == 'dark' and posestatus == 'p1'", Image(lsofadark),
        "bodytonetype != 'yellow' and chairstatus == 'chair' and clothestype == 'dark' and posestatus == 'p1'", Image(lchairdark),
        "bodytonetype != 'yellow' and chairstatus == 'sofa' and clothestype == 'dark' and posestatus == 'p2'", Image(lsofathinkdark),
        "bodytonetype != 'yellow' and chairstatus == 'chair' and clothestype == 'dark' and posestatus == 'p2'", Image(lchairthinkdark),   
        "bodytonetype == 'yellow' and chairstatus == 'sofa' and clothestype == 'light' and posestatus == 'p1'", Image(dsofa),
        "bodytonetype == 'yellow' and chairstatus == 'chair' and clothestype == 'light' and posestatus == 'p1'", Image(dchair),
        "bodytonetype == 'yellow' and chairstatus == 'sofa' and clothestype == 'light' and posestatus == 'p2'", Image(dsofathink),
        "bodytonetype == 'yellow' and chairstatus == 'chair' and clothestype == 'light' and posestatus == 'p2'", Image(dchairthink),
        "bodytonetype == 'yellow' and chairstatus == 'sofa' and clothestype == 'dark' and posestatus == 'p1'", Image(dsofadark),
        "bodytonetype == 'yellow' and chairstatus == 'chair' and clothestype == 'dark' and posestatus == 'p1'", Image(dchairdark),
        "bodytonetype == 'yellow' and chairstatus == 'sofa' and clothestype == 'dark' and posestatus == 'p2'", Image(dsofathinkdark),
        "bodytonetype == 'yellow' and chairstatus == 'chair' and clothestype == 'dark' and posestatus == 'p2'", Image(dchairthinkdark),           
        )

#now for car poses

    $ lcar = im.Composite((560,390), (0, 0), "PS_bodysofa.png", (0, 0), "PS_clothessofa.png", (0, 0), "PS_sofa_nosofa.png")
    $ lcarthink = im.Composite((560,390), (0,0), "PS_bodysofathink.png", (0, 0), "PS_clothessofathink.png", (0, 0), "PS_sofathink_nosofa.png")
    $ lcardark = im.Composite((560,390), (0, 0), "PS_bodysofa.png", (0, 0), clothessofaXhue, (0, 0), "PS_sofa_nosofa.png")
    $ lcarthinkdark = im.Composite((560,390), (0, 0), "PS_bodysofathink.png", (0, 0), clothessofaXhuethink, (0, 0), "PS_sofathink_nosofa.png")

# for asian skin tone (implementing dark/black skin tone would be overkill for me at this point... plus there aren't that many in the setting of the story -- NZ)
    $ dcar = im.Composite((560,390), (0,0), dbsofa, (0, 0), "PS_clothessofa.png", (0, 0), "PS_sofa_nosofa.png")
    $ dcarthink = im.Composite((560,390), (0,0), dbsofathink, (0, 0), "PS_clothessofathink.png", (0, 0), "PS_sofathink_nosofa.png")
    $ dcardark = im.Composite((560,390), (0,0), dbsofa, (0, 0), clothessofaXhue, (0, 0), "PS_sofa_nosofa.png")
    $ dcarthinkdark = im.Composite((560,390), (0,0), dbsofathink, (0, 0), clothessofaXhuethink, (0, 0), "PS_sofathink_nosofa.png")

    $ carpose = ConditionSwitch(
        "bodytonetype != 'yellow' and chairstatus == 'sofa' and clothestype == 'light' and posestatus == 'p1'", Image(lcar),
        "bodytonetype != 'yellow' and chairstatus == 'sofa' and clothestype == 'light' and posestatus == 'p2'", Image(lcarthink),
        "bodytonetype != 'yellow' and chairstatus == 'sofa' and clothestype == 'dark' and posestatus == 'p1'", Image(lcardark),
        "bodytonetype != 'yellow' and chairstatus == 'sofa' and clothestype == 'dark' and posestatus == 'p2'", Image(lcarthinkdark),  
        "bodytonetype == 'yellow' and chairstatus == 'sofa' and clothestype == 'light' and posestatus == 'p1'", Image(dcar),
        "bodytonetype == 'yellow' and chairstatus == 'sofa' and clothestype == 'light' and posestatus == 'p2'", Image(dcarthink),
        "bodytonetype == 'yellow' and chairstatus == 'sofa' and clothestype == 'dark' and posestatus == 'p1'", Image(dcardark),
        "bodytonetype == 'yellow' and chairstatus == 'sofa' and clothestype == 'dark' and posestatus == 'p2'", Image(dcarthinkdark),
           
        )
        
    $ hairpose = ConditionSwitch(
        "hairtype == 'blonde' and hairstatus == 'norm'", "HR_blonde.png",
        "hairtype == 'blonde' and hairstatus == 'alt'", "HR_blondealt.png",
        "hairtype == 'redhead' and hairstatus == 'norm'", "HR_redhead.png",
        "hairtype == 'redhead' and hairstatus == 'alt'", "HR_redheadalt.png",
        "hairtype == 'black' and hairstatus == 'norm'", Image(blackhair),
        "hairtype == 'black' and hairstatus == 'alt'", Image(blackhairalt),
        "hairtype == 'blacksilk' and hairstatus == 'norm'", Image(blacklong),
        "hairtype == 'blacksilk' and hairstatus == 'alt'", Image(blacklongalt),        
        "hairtype == 'brown' and hairstatus == 'norm'", Image(blonderecolor),
        "hairtype == 'brown' and hairstatus == 'alt'", Image(blonderecoloralt),
        )
        
    $ hairposeAF = ConditionSwitch(
        "hairtype == 'blonde'", "HR_blondeAF.png",
        "hairtype == 'redhead'", "HR_redhead.png",
        "hairtype == 'black'", Image(blackhair),
        "hairtype == 'blacksilk'", Image(blacklongAF),       
        "hairtype == 'brown'", Image(blonderecolorAF),
        )
            
#mouth and eyebrows static poses to combine with eye animations below
    $ expressionpose = ConditionSwitch(
        "expressionstatus == 'normal'", "EX_normal.png",
        "expressionstatus == 'smirk'", "EX_smirk.png",
        "expressionstatus == 'unsure'", "EX_unsure.png",
        "expressionstatus == 'unsureSS'", "EX_unsure.png",
        "expressionstatus == 'closedSS'", "EX_normal.png",
        "expressionstatus == 'normalSS'", "EX_normal.png",
        )

    $ ey_normal = ConditionSwitch(
        "eyetype == 'blue'", "EY_normal.png",
        "eyetype == 'green'", im.MatrixColor("EY_normal.png", im.matrix.hue(-30)),
        "eyetype == 'gray'", im.Grayscale("EY_normal.png"),
        "eyetype == 'brown'", im.MatrixColor("EY_normal.png", im.matrix.hue(165)),
        )

    $ ey_closed = ConditionSwitch(
        "eyetype == 'blue'", "EY_closed.png",
        "eyetype == 'green'", im.MatrixColor("EY_closed.png", im.matrix.hue(-30)),
        "eyetype == 'gray'", im.Grayscale("EY_closed.png"),
        "eyetype == 'brown'", im.MatrixColor("EY_closed.png", im.matrix.hue(165)),
        )
        
    $ ey_left = ConditionSwitch(
        "eyetype == 'blue'", "EY_left.png",
        "eyetype == 'green'", im.MatrixColor("EY_left.png", im.matrix.hue(-30)),
        "eyetype == 'gray'", im.Grayscale("EY_left.png"),
        "eyetype == 'brown'", im.MatrixColor("EY_left.png", im.matrix.hue(165)),
        )
        
    $ ey_smirk = ConditionSwitch(
        "eyetype == 'blue'", "EY_smirk.png",
        "eyetype == 'green'", im.MatrixColor("EY_smirk.png", im.matrix.hue(-30)),
        "eyetype == 'gray'", im.Grayscale("EY_smirk.png"),
        "eyetype == 'brown'", im.MatrixColor("EY_smirk.png", im.matrix.hue(165)),
        )
        
    $ ey_down = ConditionSwitch(
        "eyetype == 'blue'", "EY_down.png",
        "eyetype == 'green'", im.MatrixColor("EY_down.png", im.matrix.hue(-30)),
        "eyetype == 'gray'", im.Grayscale("EY_down.png"),
        "eyetype == 'brown'", im.MatrixColor("EY_down.png", im.matrix.hue(165)),
        )
        
    $ ey_unsure = ConditionSwitch(
        "eyetype == 'blue'", "EY_unsure.png",
        "eyetype == 'green'", im.MatrixColor("EY_unsure.png", im.matrix.hue(-30)),
        "eyetype == 'gray'", im.Grayscale("EY_unsure.png"),
        "eyetype == 'brown'", im.MatrixColor("EY_unsure.png", im.matrix.hue(165)),
        )

#this blinking animation is taken directly from Nettestadt and modified a bit        
    $ eyeposenormal = anim.SMAnimation( 
        "open", 
        anim.State("open", ey_left),  #last changed from normal
        anim.State("close", ey_closed), 
        anim.State("shift", ey_normal), #last changed from left
        
        anim.Edge("open", 1.0, "open", prob=4), 
        anim.Edge("shift", 0.3, "shift", prob=2),
        anim.Edge("shift", 0.1, "close"), 
        anim.Edge("open", 0.1, "close"), 
        anim.Edge("close", 0.1, "open") ,
        anim.Edge("close", 0.1, "shift"), 
        )
    $ eyeposesmirk = anim.SMAnimation( 
        "open", 
        anim.State("open", ey_left), 
        anim.State("close", ey_closed), 
        anim.State("shift", ey_smirk),  #changed from normal and switched
        
        anim.Edge("open", 1.0, "open", prob=4), 
        anim.Edge("shift", 0.3, "shift", prob=2),
        anim.Edge("shift", 0.1, "close"), 
        anim.Edge("open", 0.1, "close"), 
        anim.Edge("close", 0.1, "open") ,
        anim.Edge("close", 0.1, "shift"), 
        )
    $ eyeposeunsure = anim.SMAnimation( 
        "open", 
        anim.State("open", ey_left), 
        anim.State("close", ey_closed), 
        anim.State("shift", ey_down), 
        
        anim.Edge("open", 1.0, "open", prob=4), 
        anim.Edge("shift", 0.3, "shift", prob=2),
        anim.Edge("shift", 0.1, "close"), 
        anim.Edge("open", 0.1, "close"), 
        anim.Edge("close", 0.1, "open") ,
        anim.Edge("close", 0.1, "shift"), 
        )
    $ eyeposeunsure_steadystate = ey_unsure
    $ eyeposeclosed_steadystate = ey_closed
    $ eyeposenormal_steadystate = ey_left #changed from normal
    $ eyepose = ConditionSwitch(
        "expressionstatus == 'normal'", eyeposenormal,
        "expressionstatus == 'smirk'", eyeposesmirk,
        "expressionstatus == 'unsure'", eyeposeunsure,
        "expressionstatus == 'unsureSS'", eyeposeunsure_steadystate,
        "expressionstatus == 'closedSS'", eyeposeclosed_steadystate,
        "expressionstatus == 'normalSS'", eyeposenormal_steadystate
        )
    #combine the eye animations with main expressions
    
    $ expressionconstruct = LiveComposite((100, 180), (0, 0), expressionpose, (0, 0), eyepose)

#Yay now we pull the expression, the hair, the head, the pose, and the BG all into one image!
    image trionanormal = LiveComposite((800, 450), (0, 0), bg, (300, 0), headpart, (360, 60), nosepart, (300, 0), hairpose, (340, 0), expressionconstruct, (100, 60), mainpose)

#automobile stuff

    image trionacar= LiveComposite((800, 450), (0, 0), bg, (300, 0), headpart, (360, 60), nosepart, (300, 0), hairpose, (340, 0), expressionconstruct, (100, 60), carpose)
    
    $ automobilebasicdark = "automobile.png"  #lol dark and light are switched here, but I'm thinking in terms of 'pastel' or 'earth' tones
    $ automobilebasiclight = im.MatrixColor("automobile.png", im.matrix.hue(60))

    $ automobilewsignalsdark = im.Composite((480, 200), (0, 0), automobilebasicdark, (0, 0), "autoturnsignals.png")
    $ automobilewsignalslight = im.Composite((480, 200), (0, 0), automobilebasiclight, (0, 0), "autoturnsignals.png")

    image automobiledark = Animation(automobilebasicdark, 0.5, automobilewsignalsdark, 0.5, )
    image automobilelight = Animation(automobilebasiclight, 0.5, automobilewsignalslight, 0.5, )
    
    image automobilewheels = "automobilewheels.png"
    image BG_automobile = "#B0ABAF"   #or #A9D0F9
    

##----More Sexual poses!----

# Use these as guides:
#    $ dbsexy = im.MatrixColor(PS_sexy, im.matrix.hue(-30)),
#    $ dbpatch = im.MatrixColor("PS_wide.png", im.matrix.hue(-30)),
    
    $ lfullbody = im.Composite((340, 390), (0, 0), PS_sexy, (170, 170), "PS_wide.png")
    
    $ dfullbody = im.Composite((340, 390), (0, 0), dbsexy, (170, 170), dbpatch)
    
    $ lighttogethertop = im.MatrixColor("UW_together.png", im.matrix.hue(288))
    $ darktogethertop = im.MatrixColor("UW_together.png", im.matrix.hue(216))
    $ lighttop = im.MatrixColor("UW_poptop.png", im.matrix.hue(288))
    $ darktop = im.MatrixColor("UW_poptop.png", im.matrix.hue(216))
    $ lightpantsu = im.MatrixColor("UW_panties.png", im.matrix.hue(288))
    $ darkpantsu = im.MatrixColor("UW_panties.png", im.matrix.hue(216))
    $ nursepantsu = "UW_panties.png"
    
    $ lightboobs = im.Composite((340, 390), (0, 0), lfullbody, (0, 0), "BS_lightboobs.png")
    $ darkboobs = im.Composite((340, 390), (0, 0), lfullbody, (0, 0), "BS_darkboobs.png") 
    $ suckboobs = im.Composite((340, 390), (0, 0), lfullbody, (0, 0), "BS_suck.png") 
    $ pinchboobs = im.Composite((340, 390), (0, 0), lfullbody, (0, 0), "BS_pinch.png") 

    $ dlightboobs = im.Composite((340, 390), (0, 0), dfullbody, (0, 0), "BS_lightboobs.png")
    $ ddarkboobs = im.Composite((340, 390), (0, 0), dfullbody, (0, 0), "BS_darkboobs.png") 
    $ dsuckboobs = im.Composite((340, 390), (0, 0), dfullbody, (0, 0), "BS_suck.png") 
    $ dpinchboobs = im.Composite((340, 390), (0, 0), dfullbody, (0, 0), "BS_pinch.png")    

    $ lightpaizuri = im.Composite((340, 390), (0, 0), PS_sexy, (0, 0), "BS_lightpaizuri.png")
    $ darkpaizuri = im.Composite((340, 390), (0, 0), PS_sexy, (0, 0), "BS_darkpaizuri.png") 
    
    $ dlightpaizuri = im.Composite((340, 390), (0, 0), dbsexy, (0, 0), "BS_lightpaizuri.png")
    $ ddarkpaizuri = im.Composite((340, 390), (0, 0), dbsexy, (0, 0), "BS_darkpaizuri.png") 
    
# There are 5 default states of nudity, plus top action states and bottom action states  
#--"Bible Black" Scenario--
#sexystate == together
    $ lighttogether = im.Composite((340, 390), (0, 0), PS_sexy, (0, 0), lighttogethertop, (0, 290), lightpantsu)
    $ darktogether = im.Composite((340, 390), (0, 0), PS_sexy, (0, 0), darktogethertop, (0, 290), darkpantsu)
    
    $ dlighttogether = im.Composite((340, 390), (0, 0), dbsexy, (0, 0), lighttogethertop, (0, 290), lightpantsu)
    $ ddarktogether = im.Composite((340, 390), (0, 0), dbsexy, (0, 0), darktogethertop, (0, 290), darkpantsu)
    
#sexystate == pop
    $ lightpop = im.Composite((340, 390), (0, 0), darkboobs, (0, 0), lighttop, (0, 290), lightpantsu)
    $ darkpop = im.Composite((340, 390), (0, 0), darkboobs, (0, 0), darktop, (0, 290), darkpantsu)
    
    $ dlightpop = im.Composite((340, 390), (0, 0), ddarkboobs, (0, 0), lighttop, (0, 290), lightpantsu)
    $ ddarkpop = im.Composite((340, 390), (0, 0), ddarkboobs, (0, 0), darktop, (0, 290), darkpantsu)
    
#sexystate == topless
    $ lighttoplesslight = im.Composite((340, 390), (0, 0), lightboobs, (0, 290), lightpantsu)
    $ darktoplesslight = im.Composite((340, 390), (0, 0), lightboobs, (0, 290), darkpantsu)
    $ lighttoplessdark = im.Composite((340, 390), (0, 0), darkboobs, (0, 290), lightpantsu)
    $ darktoplessdark = im.Composite((340, 390), (0, 0), darkboobs, (0, 290), darkpantsu)
    
    $ dlighttoplesslight = im.Composite((340, 390), (0, 0), dlightboobs, (0, 290), lightpantsu)
    $ ddarktoplesslight = im.Composite((340, 390), (0, 0), dlightboobs, (0, 290), darkpantsu)
    $ dlighttoplessdark = im.Composite((340, 390), (0, 0), ddarkboobs, (0, 290), lightpantsu)
    $ ddarktoplessdark = im.Composite((340, 390), (0, 0), ddarkboobs, (0, 290), darkpantsu)

#special paizuri state
    $ lightpaizurilight = im.Composite((340, 390), (0, 0), lightpaizuri, (0, 290), lightpantsu)
    $ darkpaizurilight = im.Composite((340, 390), (0, 0), lightpaizuri, (0, 290), darkpantsu)
    $ lightpaizuridark = im.Composite((340, 390), (0, 0), darkpaizuri, (0, 290), lightpantsu)
    $ darkpaizuridark = im.Composite((340, 390), (0, 0), darkpaizuri, (0, 290), darkpantsu)

    $ dlightpaizurilight = im.Composite((340, 390), (0, 0), dlightpaizuri, (0, 290), lightpantsu)
    $ ddarkpaizurilight = im.Composite((340, 390), (0, 0), dlightpaizuri, (0, 290), darkpantsu)
    $ dlightpaizuridark = im.Composite((340, 390), (0, 0), ddarkpaizuri, (0, 290), lightpantsu)
    $ ddarkpaizuridark = im.Composite((340, 390), (0, 0), ddarkpaizuri, (0, 290), darkpantsu)
    
#sexystate == pantyless
    $ pantylesslight = im.Composite((340, 390), (0, 0), lightboobs, (0, 0), lighttop, (0, 300), "VG_lightvagina.png", (0, 300), "VG_kneelclosed.png")
    $ darkpantylesslight = im.Composite((340, 390), (0, 0), lightboobs, (0, 0), darktop, (0, 300), "VG_lightvagina.png", (0, 300), "VG_kneelclosed.png")
    $ pantylessdark = im.Composite((340, 390), (0, 0), darkboobs, (0, 0), lighttop, (0, 300), "VG_darkvagina.png", (0, 300), "VG_kneelclosed.png")
    $ darkpantylessdark = im.Composite((340, 390), (0, 0), darkboobs, (0, 0), darktop, (0, 300), "VG_darkvagina.png", (0, 300), "VG_kneelclosed.png")
    
    $ dpantylesslight = im.Composite((340, 390), (0, 0), dlightboobs, (0, 0), lighttop, (0, 300), "VG_lightvagina.png", (0, 300), dkneelclosed)
    $ ddarkpantylesslight = im.Composite((340, 390), (0, 0), dlightboobs, (0, 0), darktop, (0, 300), "VG_lightvagina.png", (0, 300), dkneelclosed)
    $ dpantylessdark = im.Composite((340, 390), (0, 0), ddarkboobs, (0, 0), lighttop, (0, 300), "VG_darkvagina.png", (0, 300), dkneelclosed)
    $ ddarkpantylessdark = im.Composite((340, 390), (0, 0), ddarkboobs, (0, 0), darktop, (0, 300), "VG_darkvagina.png", (0, 300), dkneelclosed)

#sexystate == naked
    $ nakedlight = im.Composite((340, 390), (0, 0), lightboobs, (0, 300), "VG_lightvagina.png", (0, 300), "VG_kneelclosed.png")
    $ nakeddark = im.Composite((340, 390), (0, 0), darkboobs, (0, 300), "VG_darkvagina.png", (0, 300), "VG_kneelclosed.png")
    
    $ dnakedlight = im.Composite((340, 390), (0, 0), dlightboobs, (0, 300), "VG_lightvagina.png", (0, 300), dkneelclosed)
    $ dnakeddark = im.Composite((340, 390), (0, 0), ddarkboobs, (0, 300), "VG_darkvagina.png", (0, 300), dkneelclosed)

#sexystate == pantylesspen
    $ pantylesslightpen = im.Composite((340, 390), (0, 0), lightboobs, (0, 0), lighttop, (0, 300), "VG_lightvagina.png", (0, 300), "VG_kneelopen.png")
    $ darkpantylesslightpen = im.Composite((340, 390), (0, 0), lightboobs, (0, 0), darktop, (0, 300), "VG_lightvagina.png", (0, 300), "VG_kneelopen.png")
    $ pantylessdarkpen = im.Composite((340, 390), (0, 0), darkboobs, (0, 0), lighttop, (0, 300), "VG_darkvagina.png", (0, 300), "VG_kneelopen.png")
    $ darkpantylessdarkpen = im.Composite((340, 390), (0, 0), darkboobs, (0, 0), darktop, (0, 300), "VG_darkvagina.png", (0, 300), "VG_kneelopen.png")
    
    $ dpantylesslightpen = im.Composite((340, 390), (0, 0), dlightboobs, (0, 0), lighttop, (0, 300), "VG_lightvagina.png", (0, 300), dkneelopen)
    $ ddarkpantylesslightpen = im.Composite((340, 390), (0, 0), dlightboobs, (0, 0), darktop, (0, 300), "VG_lightvagina.png", (0, 300), dkneelopen)
    $ dpantylessdarkpen = im.Composite((340, 390), (0, 0), ddarkboobs, (0, 0), lighttop, (0, 300), "VG_darkvagina.png", (0, 300), dkneelopen)
    $ ddarkpantylessdarkpen = im.Composite((340, 390), (0, 0), ddarkboobs, (0, 0), darktop, (0, 300), "VG_darkvagina.png", (0, 300), dkneelopen)

#sexystate == nakedpen
    $ nakedlightpen = im.Composite((340, 390), (0, 0), lightboobs, (0, 300), "VG_lightvagina.png", (0, 300), "VG_kneelopen.png")
    $ nakeddarkpen = im.Composite((340, 390), (0, 0), darkboobs, (0, 300), "VG_darkvagina.png", (0, 300), "VG_kneelopen.png")
    
    $ dnakedlightpen = im.Composite((340, 390), (0, 0), dlightboobs, (0, 300), "VG_lightvagina.png", (0, 300), dkneelopen)
    $ dnakeddarkpen = im.Composite((340, 390), (0, 0), ddarkboobs, (0, 300), "VG_darkvagina.png", (0, 300), dkneelopen)
    
#choose sexy pose according to sexy state
    $ sexy1 = ConditionSwitch(
        "bodytonetype != 'yellow' and sexystate == 'C' and clothestype == 'light'", Image(lighttogether),
        "bodytonetype != 'yellow' and sexystate == 'C' and clothestype == 'dark'", Image(darktogether),
        "bodytonetype != 'yellow' and sexystate == 'P' and clothestype == 'light'", Image(lightpop),
        "bodytonetype != 'yellow' and sexystate == 'P' and clothestype == 'dark'", Image(darkpop),
        "bodytonetype != 'yellow' and sexystate == 'T' and clothestype == 'light' and bodytype == 'pure'", Image(lighttoplesslight),
        "bodytonetype != 'yellow' and sexystate == 'T' and clothestype == 'dark' and bodytype == 'pure'", Image(darktoplesslight),
        "bodytonetype != 'yellow' and sexystate == 'T' and clothestype == 'light' and bodytype == 'ripe'", Image(lighttoplessdark),
        "bodytonetype != 'yellow' and sexystate == 'T' and clothestype == 'dark' and bodytype == 'ripe'", Image(darktoplessdark),
        "bodytonetype != 'yellow' and sexystate == 'B' and clothestype == 'light' and bodytype == 'pure'", Image(pantylesslight),
        "bodytonetype != 'yellow' and sexystate == 'B' and clothestype == 'dark' and bodytype == 'pure'", Image(darkpantylesslight),
        "bodytonetype != 'yellow' and sexystate == 'B' and clothestype == 'light' and bodytype == 'ripe'", Image(pantylessdark),
        "bodytonetype != 'yellow' and sexystate == 'B' and clothestype == 'dark' and bodytype == 'ripe'", Image(darkpantylessdark),
        "bodytonetype != 'yellow' and sexystate == 'N' and bodytype == 'pure'", Image(nakedlight),
        "bodytonetype != 'yellow' and sexystate == 'N' and bodytype == 'ripe'", Image(nakeddark),
        "bodytonetype != 'yellow' and sexystate == 'BA' and clothestype == 'light' and bodytype == 'pure'", Image(pantylesslightpen),
        "bodytonetype != 'yellow' and sexystate == 'BA' and clothestype == 'dark' and bodytype == 'pure'", Image(darkpantylesslightpen),
        "bodytonetype != 'yellow' and sexystate == 'BA' and clothestype == 'light' and bodytype == 'ripe'", Image(pantylessdarkpen),
        "bodytonetype != 'yellow' and sexystate == 'BA' and clothestype == 'dark' and bodytype == 'ripe'", Image(darkpantylessdarkpen),
        "bodytonetype != 'yellow' and sexystate == 'NA' and bodytype == 'pure'", Image(nakedlightpen),
        "bodytonetype != 'yellow' and sexystate == 'NA' and bodytype == 'ripe'", Image(nakeddarkpen),
        "bodytonetype != 'yellow' and sexystate == 'pai' and clothestype == 'light' and bodytype == 'pure'", Image(lightpaizurilight),
        "bodytonetype != 'yellow' and sexystate == 'pai' and clothestype == 'dark' and bodytype == 'pure'", Image(darkpaizurilight),
        "bodytonetype != 'yellow' and sexystate == 'pai' and clothestype == 'light' and bodytype == 'ripe'", Image(lightpaizuridark),
        "bodytonetype != 'yellow' and sexystate == 'pai' and clothestype == 'dark' and bodytype == 'ripe'", Image(darkpaizuridark),
        
        "bodytonetype == 'yellow' and sexystate == 'C' and clothestype == 'light'", Image(dlighttogether),
        "bodytonetype == 'yellow' and sexystate == 'C' and clothestype == 'dark'", Image(ddarktogether),
        "bodytonetype == 'yellow' and sexystate == 'P' and clothestype == 'light'", Image(dlightpop),
        "bodytonetype == 'yellow' and sexystate == 'P' and clothestype == 'dark'", Image(ddarkpop),
        "bodytonetype == 'yellow' and sexystate == 'T' and clothestype == 'light' and bodytype == 'pure'", Image(dlighttoplesslight),
        "bodytonetype == 'yellow' and sexystate == 'T' and clothestype == 'dark' and bodytype == 'pure'", Image(ddarktoplesslight),
        "bodytonetype == 'yellow' and sexystate == 'T' and clothestype == 'light' and bodytype == 'ripe'", Image(dlighttoplessdark),
        "bodytonetype == 'yellow' and sexystate == 'T' and clothestype == 'dark' and bodytype == 'ripe'", Image(ddarktoplessdark),
        "bodytonetype == 'yellow' and sexystate == 'B' and clothestype == 'light' and bodytype == 'pure'", Image(dpantylesslight),
        "bodytonetype == 'yellow' and sexystate == 'B' and clothestype == 'dark' and bodytype == 'pure'", Image(ddarkpantylesslight),
        "bodytonetype == 'yellow' and sexystate == 'B' and clothestype == 'light' and bodytype == 'ripe'", Image(dpantylessdark),
        "bodytonetype == 'yellow' and sexystate == 'B' and clothestype == 'dark' and bodytype == 'ripe'", Image(ddarkpantylessdark),
        "bodytonetype == 'yellow' and sexystate == 'N' and bodytype == 'pure'", Image(dnakedlight),
        "bodytonetype == 'yellow' and sexystate == 'N' and bodytype == 'ripe'", Image(dnakeddark),
        "bodytonetype == 'yellow' and sexystate == 'BA' and clothestype == 'light' and bodytype == 'pure'", Image(dpantylesslightpen),
        "bodytonetype == 'yellow' and sexystate == 'BA' and clothestype == 'dark' and bodytype == 'pure'", Image(ddarkpantylesslightpen),
        "bodytonetype == 'yellow' and sexystate == 'BA' and clothestype == 'light' and bodytype == 'ripe'", Image(dpantylessdarkpen),
        "bodytonetype == 'yellow' and sexystate == 'BA' and clothestype == 'dark' and bodytype == 'ripe'", Image(ddarkpantylessdarkpen),
        "bodytonetype == 'yellow' and sexystate == 'NA' and bodytype == 'pure'", Image(dnakedlightpen),
        "bodytonetype == 'yellow' and sexystate == 'NA' and bodytype == 'ripe'", Image(dnakeddarkpen),
        "bodytonetype == 'yellow' and sexystate == 'pai' and clothestype == 'light' and bodytype == 'pure'", Image(dlightpaizurilight),
        "bodytonetype == 'yellow' and sexystate == 'pai' and clothestype == 'dark' and bodytype == 'pure'", Image(ddarkpaizurilight),
        "bodytonetype == 'yellow' and sexystate == 'pai' and clothestype == 'light' and bodytype == 'ripe'", Image(dlightpaizuridark),
        "bodytonetype == 'yellow' and sexystate == 'pai' and clothestype == 'dark' and bodytype == 'ripe'", Image(ddarkpaizuridark),
    )


#composite sexy scenario 1
    image trionasexy1 = LiveComposite((800, 450), (0, 0), bg, (300, 0), headpart, (360, 60), nosepart, (300, 0), hairpose, (340, 0), expressionconstruct, (280, 60), sexy1)

    image blindfold = "HD_blindfold.png"
    image fluidburst1 = im.Scale("fluidburst1.png", 340, 390)
    image fluidburst2 = "fluidburst2.png"
    image bjob = "HD_bj.png"

    $ nightiebase = im.Alpha("nightie.png", 0.5)
    $ nightieXhue = im.MatrixColor(nightiebase, im.matrix.hue(144))
    $ bodypaintXhue = im.MatrixColor("bodypaint.png", im.matrix.hue(144))
    
    $ bodypaintcompress = im.Scale("bodypaint.png", 180, 250)
    $ bodypaintcompressXhue = im.MatrixColor(bodypaintcompress, im.matrix.hue(144)) 

    image nightie = ConditionSwitch(
        "clothestype == 'light'", Image(nightiebase),
        "clothestype == 'dark'", Image(nightieXhue),        
    )
    image bodypaint = ConditionSwitch(
        "clothestype == 'light'", "bodypaint.png",
        "clothestype == 'dark'", Image(bodypaintXhue),  
    )

    image bodypaintC = ConditionSwitch(
        "clothestype == 'light'", Image(bodypaintcompress),
        "clothestype == 'dark'", Image(bodypaintcompressXhue),  
    )
    
#--'Milk Junkies'-- Scenario

#default skin tone

#sexystate == together
    $ nursetogether = im.Composite((340, 390), (0, 0), darkboobs, (0, 0), "UW_nursingclosed.png", (0, 290), nursepantsu)
#sexystate == togetherbare
    $ nursetogetherbottomless = im.Composite((340, 390), (0, 0), darkboobs, (0, 0), "UW_nursingclosed.png", (0, 300), "VG_darkvagina.png", (0, 300), "VG_kneelclosed.png")
#sexystate == togetherpen
    $ nursetogetherpen = im.Composite((340, 390), (0, 0), darkboobs, (0, 0), "UW_nursingclosed.png", (0, 300), "VG_darkvagina.png", (0, 300), "VG_kneelopen.png")

#sexystate == pop
    $ nursepop = im.Composite((340, 390), (0, 0), darkboobs, (0, 0), "UW_nursingopen.png", (0, 290), nursepantsu)
 #sexystate == popsuck
    $ suckpop = im.Composite((340, 390), (0, 0), suckboobs, (0, 0), "UW_nursingopen.png", (0, 290), nursepantsu)

#sexystate == topless
    $ nursetopless = im.Composite((340, 390), (0, 0), darkboobs, (0, 290), nursepantsu)
 #sexystate == toplesssuck
    $ sucktopless = im.Composite((340, 390), (0, 0), suckboobs, (0, 290), nursepantsu)

#sexystate == pantyless
    $ nursepantyless = im.Composite((340, 390), (0, 0), darkboobs, (0, 0), "UW_nursingopen.png", (0, 300), "VG_darkvagina.png", (0, 300), "VG_kneelclosed.png")
 #sexystate == pantylesssuck
    $ suckpantyless = im.Composite((340, 390), (0, 0), suckboobs, (0, 0), "UW_nursingopen.png", (0, 300), "VG_darkvagina.png", (0, 300), "VG_kneelclosed.png")    

#sexystate == naked
    $ nakednurse = im.Composite((340, 390), (0, 0), darkboobs, (0, 300), "VG_darkvagina.png", (0, 300), "VG_kneelclosed.png")
 #sexystate == nakedsuck
    $ nakedsuck = im.Composite((340, 390), (0, 0), suckboobs, (0, 300), "VG_darkvagina.png", (0, 300), "VG_kneelclosed.png")
#sexystate = pinch
    $ poppinch = im.Composite((340, 390), (0, 0), pinchboobs, (0, 0), "UW_nursingopen.png", (0, 290), nursepantsu)
    $ toplesspinch = im.Composite((340, 390), (0, 0), pinchboobs, (0, 290), nursepantsu)
    $ bottomlesspinch = im.Composite((340, 390), (0, 0), pinchboobs, (0, 0), "UW_nursingopen.png", (0, 300), "VG_darkvagina.png", (0, 300), "VG_kneelclosed.png")    
    $ bottomlesspenpinch = im.Composite((340, 390), (0, 0), pinchboobs, (0, 0), "UW_nursingopen.png", (0, 300), "VG_darkvagina.png", (0, 300), "VG_kneelopen.png")    
    $ nakedpinch = im.Composite((340, 390), (0, 0), pinchboobs, (0, 300), "VG_darkvagina.png", (0, 300), "VG_kneelclosed.png")
    $ penpinch = im.Composite((340, 390), (0, 0), pinchboobs, (0, 300), "VG_darkvagina.png", (0, 300), "VG_kneelopen.png")

#sexystate == pantylesspen
    $ nursepantylesspen = im.Composite((340, 390), (0, 0), darkboobs, (0, 0), "UW_nursingopen.png", (0, 300), "VG_darkvagina.png", (0, 300), "VG_kneelopen.png")
 #sexystate == pantylesspensuck
    $ suckpantylesspen = im.Composite((340, 390), (0, 0), suckboobs, (0, 0), "UW_nursingopen.png", (0, 300), "VG_darkvagina.png", (0, 300), "VG_kneelopen.png")
    
#sexystate == nakedpen
    $ nakednursepen = im.Composite((340, 390), (0, 0), darkboobs, (0, 300), "VG_darkvagina.png", (0, 300), "VG_kneelopen.png")
 #sexystate == nakedpensuck
    $ nakedsuckpen = im.Composite((340, 390), (0, 0), suckboobs, (0, 300), "VG_darkvagina.png", (0, 300), "VG_kneelopen.png")
#sexystate == pai
    $ nursepaizuribase = im.Composite((340, 390), (0, 0), PS_sexy, (0, 0), "BS_darkpaizuri.png") 
    
    $ toplesspaizuri = im.Composite((340, 390), (0, 0), nursepaizuribase, (0, 290), nursepantsu)
    $ nakedpaizuri = im.Composite((340, 390), (0, 0), nursepaizuribase, (0, 300), "VG_darkvagina.png", (0, 300), "VG_kneelclosed.png")
    $ penpaizuri = im.Composite((340, 390), (0, 0), nursepaizuribase, (0, 300), "VG_darkvagina.png", (0, 300), "VG_kneelopen.png")

# -----------now for the different skin tone---
#----------------

#sexystate == together
    $ dnursetogether = im.Composite((340, 390), (0, 0), ddarkboobs, (0, 0), "UW_nursingclosed.png", (0, 290), nursepantsu)
#sexystate == togetherbare
    $ dnursetogetherbottomless = im.Composite((340, 390), (0, 0), ddarkboobs, (0, 0), "UW_nursingclosed.png", (0, 300), "VG_darkvagina.png", (0, 300), dkneelclosed)
#sexystate == togetherpen
    $ dnursetogetherpen = im.Composite((340, 390), (0, 0), ddarkboobs, (0, 0), "UW_nursingclosed.png", (0, 300), "VG_darkvagina.png", (0, 300), dkneelopen)

#sexystate == pop
    $ dnursepop = im.Composite((340, 390), (0, 0), ddarkboobs, (0, 0), "UW_nursingopen.png", (0, 290), nursepantsu)
 #sexystate == popsuck
    $ dsuckpop = im.Composite((340, 390), (0, 0), dsuckboobs, (0, 0), "UW_nursingopen.png", (0, 290), nursepantsu)

#sexystate == topless
    $ dnursetopless = im.Composite((340, 390), (0, 0), ddarkboobs, (0, 290), nursepantsu)
 #sexystate == toplesssuck
    $ dsucktopless = im.Composite((340, 390), (0, 0), dsuckboobs, (0, 290), nursepantsu)

#sexystate == pantyless
    $ dnursepantyless = im.Composite((340, 390), (0, 0), ddarkboobs, (0, 0), "UW_nursingopen.png", (0, 300), "VG_darkvagina.png", (0, 300), dkneelclosed)
 #sexystate == pantylesssuck
    $ dsuckpantyless = im.Composite((340, 390), (0, 0), dsuckboobs, (0, 0), "UW_nursingopen.png", (0, 300), "VG_darkvagina.png", (0, 300), dkneelclosed)    

#sexystate == naked
    $ dnakednurse = im.Composite((340, 390), (0, 0), ddarkboobs, (0, 300), "VG_darkvagina.png", (0, 300), dkneelclosed)
 #sexystate == nakedsuck
    $ dnakedsuck = im.Composite((340, 390), (0, 0), dsuckboobs, (0, 300), "VG_darkvagina.png", (0, 300), dkneelclosed)
#sexystate = pinch
    $ dpoppinch = im.Composite((340, 390), (0, 0), dpinchboobs, (0, 0), "UW_nursingopen.png", (0, 290), nursepantsu)
    $ dtoplesspinch = im.Composite((340, 390), (0, 0), dpinchboobs, (0, 290), nursepantsu)
    $ dbottomlesspinch = im.Composite((340, 390), (0, 0), dpinchboobs, (0, 0), "UW_nursingopen.png", (0, 300), "VG_darkvagina.png", (0, 300), dkneelclosed)    
    $ dbottomlesspenpinch = im.Composite((340, 390), (0, 0), dpinchboobs, (0, 0), "UW_nursingopen.png", (0, 300), "VG_darkvagina.png", (0, 300), dkneelopen)    
    $ dnakedpinch = im.Composite((340, 390), (0, 0), dpinchboobs, (0, 300), "VG_darkvagina.png", (0, 300), dkneelclosed)
    $ dpenpinch = im.Composite((340, 390), (0, 0), dpinchboobs, (0, 300), "VG_darkvagina.png", (0, 300), dkneelopen)

#sexystate == pantylesspen
    $ dnursepantylesspen = im.Composite((340, 390), (0, 0), ddarkboobs, (0, 0), "UW_nursingopen.png", (0, 300), "VG_darkvagina.png", (0, 300), dkneelopen)
 #sexystate == pantylesspensuck
    $ dsuckpantylesspen = im.Composite((340, 390), (0, 0), dsuckboobs, (0, 0), "UW_nursingopen.png", (0, 300), "VG_darkvagina.png", (0, 300), dkneelopen)
    
#sexystate == nakedpen
    $ dnakednursepen = im.Composite((340, 390), (0, 0), ddarkboobs, (0, 300), "VG_darkvagina.png", (0, 300), dkneelopen)
 #sexystate == nakedpensuck
    $ dnakedsuckpen = im.Composite((340, 390), (0, 0), dsuckboobs, (0, 300), "VG_darkvagina.png", (0, 300), dkneelopen)
#sexystate == pai
    $ dnursepaizuribase = im.Composite((340, 390), (0, 0), dbsexy, (0, 0), "BS_darkpaizuri.png") 
    
    $ dtoplesspaizuri = im.Composite((340, 390), (0, 0), dnursepaizuribase, (0, 290), nursepantsu)
    $ dnakedpaizuri = im.Composite((340, 390), (0, 0), dnursepaizuribase, (0, 300), "VG_darkvagina.png", (0, 300), dkneelclosed)
    $ dpenpaizuri = im.Composite((340, 390), (0, 0), dnursepaizuribase, (0, 300), "VG_darkvagina.png", (0, 300), dkneelopen)


    $ sexy2 = ConditionSwitch(
        "bodytonetype != 'yellow' and sexystate == 'C'", Image(nursetogether),
        "bodytonetype != 'yellow' and sexystate == 'D'", Image(nursetogetherbottomless),
        "bodytonetype != 'yellow' and sexystate == 'DA'", Image(nursetogetherpen),
        "bodytonetype != 'yellow' and sexystate == 'P'", Image(nursepop),
        "bodytonetype != 'yellow' and sexystate == 'PS'", Image(suckpop),
        "bodytonetype != 'yellow' and sexystate == 'T'", Image(nursetopless),
        "bodytonetype != 'yellow' and sexystate == 'TS'", Image(sucktopless),
        "bodytonetype != 'yellow' and sexystate == 'B'", Image(nursepantyless),
        "bodytonetype != 'yellow' and sexystate == 'BS'", Image(suckpantyless),
        "bodytonetype != 'yellow' and sexystate == 'BA'", Image(nursepantylesspen),
        "bodytonetype != 'yellow' and sexystate == 'BSA'", Image(suckpantylesspen),
        "bodytonetype != 'yellow' and sexystate == 'N'", Image(nakednurse),
        "bodytonetype != 'yellow' and sexystate == 'NS'", Image(nakedsuck),
        "bodytonetype != 'yellow' and sexystate == 'NA'", Image(nakednursepen),
        "bodytonetype != 'yellow' and sexystate == 'NSA'", Image(nakedsuckpen),
        "bodytonetype != 'yellow' and sexystate == 'Tpai'", Image(toplesspaizuri),
        "bodytonetype != 'yellow' and sexystate == 'Npai'", Image(nakedpaizuri),
        "bodytonetype != 'yellow' and sexystate == 'NApai'", Image(penpaizuri),
        "bodytonetype != 'yellow' and sexystate == 'Ppinch'", Image(poppinch),
        "bodytonetype != 'yellow' and sexystate == 'Tpinch'", Image(toplesspinch),
        "bodytonetype != 'yellow' and sexystate == 'Bpinch'", Image(bottomlesspinch),
        "bodytonetype != 'yellow' and sexystate == 'BApinch'", Image(bottomlesspenpinch),
        "bodytonetype != 'yellow' and sexystate == 'Npinch'", Image(nakedpinch),
        "bodytonetype != 'yellow' and sexystate == 'NApinch'", Image(penpinch),
        
        "bodytonetype == 'yellow' and sexystate == 'C'", Image(dnursetogether),
        "bodytonetype == 'yellow' and sexystate == 'D'", Image(dnursetogetherbottomless),
        "bodytonetype == 'yellow' and sexystate == 'DA'", Image(dnursetogetherpen),
        "bodytonetype == 'yellow' and sexystate == 'P'", Image(dnursepop),
        "bodytonetype == 'yellow' and sexystate == 'PS'", Image(dsuckpop),
        "bodytonetype == 'yellow' and sexystate == 'T'", Image(dnursetopless),
        "bodytonetype == 'yellow' and sexystate == 'TS'", Image(dsucktopless),
        "bodytonetype == 'yellow' and sexystate == 'B'", Image(dnursepantyless),
        "bodytonetype == 'yellow' and sexystate == 'BS'", Image(dsuckpantyless),
        "bodytonetype == 'yellow' and sexystate == 'BA'", Image(dnursepantylesspen),
        "bodytonetype == 'yellow' and sexystate == 'BSA'", Image(dsuckpantylesspen),
        "bodytonetype == 'yellow' and sexystate == 'N'", Image(dnakednurse),
        "bodytonetype == 'yellow' and sexystate == 'NS'", Image(dnakedsuck),
        "bodytonetype == 'yellow' and sexystate == 'NA'", Image(dnakednursepen),
        "bodytonetype == 'yellow' and sexystate == 'NSA'", Image(dnakedsuckpen),
        "bodytonetype == 'yellow' and sexystate == 'Tpai'", Image(dtoplesspaizuri),
        "bodytonetype == 'yellow' and sexystate == 'Npai'", Image(dnakedpaizuri),
        "bodytonetype == 'yellow' and sexystate == 'NApai'", Image(dpenpaizuri),
        "bodytonetype == 'yellow' and sexystate == 'Ppinch'", Image(dpoppinch),
        "bodytonetype == 'yellow' and sexystate == 'Tpinch'", Image(dtoplesspinch),
        "bodytonetype == 'yellow' and sexystate == 'Bpinch'", Image(dbottomlesspinch),
        "bodytonetype == 'yellow' and sexystate == 'BApinch'", Image(dbottomlesspenpinch),
        "bodytonetype == 'yellow' and sexystate == 'Npinch'", Image(dnakedpinch),
        "bodytonetype == 'yellow' and sexystate == 'NApinch'", Image(dpenpinch),
    )
    
#composite sexy scenario 2
    image trionasexy2 = LiveComposite((800, 450),  (0, 0), bg, (300, 0), headpart, (360, 60), nosepart, (300, 0), hairpose, (340, 0), expressionconstruct, (280, 60), sexy2)

#overlayed naked body for build-your-girl custom screen
    image customtriona = LiveComposite((800, 450), (300, 0), headpart, (360, 60), nosepart, (300, 0), hairpose, (340, 0), expressionconstruct, (280, 60), sexy1)
    
#additional sexy stuff

    image milk anim = Animation("PR_a1.png", 0.2, "PR_a2.png", 0.2, "PR_a3.png", 0.2, )
    image milk drip = Animation("PR_b1.png", 0.2, "PR_b2.png", 0.2, "PR_b3.png", 0.2, )
    $ PR_b1s = im.Scale("PR_b1.png", 336, 200)
    $ PR_b2s = im.Scale("PR_b2.png", 336, 200)
    $ PR_b3s = im.Scale("PR_b3.png", 336, 200)
    image milk drip2 = Animation(PR_b1s, 0.2, PR_b2s, 0.2, PR_b3s, 0.2, )       
    image milk preanim = Animation("PR_i1.png", 0.5, "PR_i2.png", 0.5, "PR_i3.png",) 
    image milk predrip = "PR_b1.png"
    image chuuchuu = "PR_chuuchuu.png"  

    image spurt one = "spurt1.png"
    image spurt two = "spurt2.png"
    image spurtanimation = Animation("spurt1.png", 0.05, "spurt2.png", 0.6,) 

    image flowwet = "PR_wetting.png"

#Nurse accessories!
    image thighhighs = im.Alpha("D_thighhighs.png", 0.5)
    image nursecap = "D_nursecap.png"

    $ labcoatright = "labcoatright.png"
    $ labcoatfull = im.Composite((280, 350), (0, 0), "labcoatleft.png", (0, 0), "labcoatright.png")
    image labcoat = ConditionSwitch(
        "labcoatstatus == 'both'", Image(labcoatfull),
        "labcoatstatus == 'right'", Image(labcoatright),
    )

# ----Princess scenario-------------
# --------------------------------

#Define princess clothes
    $ crown = "D_crown.png" 
    $ necklace = "D_necklace.png"
    $ princessthighs = im.Alpha("D_thighhighs.png", 0.5) #and reuse the same nurse's thighhighs, this time to be composited in.

    $ princessdresslight_bu = "D_buttonup.png"
    $ princessdresslight_pd = "D_pulldown.png"    
    $ princessdresslight_bb = "D_barebreast.png"
    $ princessdressdark_bu = im.MatrixColor("D_buttonup.png", im.matrix.hue(144))
    $ princessdressdark_pd = im.MatrixColor("D_pulldown.png", im.matrix.hue(144))      
    $ princessdressdark_bb = im.MatrixColor("D_barebreast.png", im.matrix.hue(144))       

    $ dhighcleavage = im.MatrixColor("BS_highcleavage.png", im.matrix.hue(30))

#Equivalent of "C" state, already modified
    $ squeezedtightlight = im.Composite((500, 390), (80, 0), PS_sexy, (80, 0), "BS_lightpaizuri.png", (80, 0), "BS_highcleavage.png", (80, 290), lightpantsu, (100, 340), princessthighs, (0, 60), princessdresslight_bu)
    $ squeezedtightdark = im.Composite((500, 390), (80, 0), PS_sexy, (80, 0), "BS_lightpaizuri.png", (80, 0), "BS_highcleavage.png", (80, 290), darkpantsu, (100, 340), princessthighs, (0, 60), princessdressdark_bu)
    $ dsqueezedtightlight = im.Composite((500, 390), (80, 0), dbsexy, (80, 0), "BS_lightpaizuri.png", (80, 0), dhighcleavage, (80, 290), lightpantsu, (100, 340), princessthighs, (0, 60), princessdresslight_bu)
    $ dsqueezedtightdark = im.Composite((500, 390), (80, 0), dbsexy, (80, 0), "BS_lightpaizuri.png", (80, 0), dhighcleavage, (80, 290), darkpantsu, (100, 340), princessthighs, (0, 60), princessdressdark_bu)    


# temporary N state, aka 'Nboing' state.
    $ squeezed = im.Composite((500, 390), (80, 0), PS_sexy, (80, 0), "BS_lightpaizuri.png", (80, 300), "VG_lightvagina.png", (80, 300), "VG_kneelclosed.png", (100, 340), princessthighs)
    $ dsqueezed = im.Composite((500, 390), (80, 0), dbsexy, (80, 0), "BS_lightpaizuri.png", (80, 300), "VG_lightvagina.png", (80, 300), dkneelclosed, (100, 340), princessthighs)
# squeeze while inserted state, aka 'penpai' state.  Note this state is only available in Princess scenario (Nurse scenario has milking; Hostage scenario require panties to be worn for paizuri.  Neither milking is available.  Nor is paizuri available in Princess scenario, since by the time the princess is clear of her dress, she is clear of her panties (a stage prior).  So she is naked and can be inserted normally.  True paizuri requires toplessness.)
    $ squeezedpen = im.Composite((500, 390), (80, 0), PS_sexy, (80, 0), "BS_lightpaizuri.png", (80, 300), "VG_lightvagina.png", (80, 300), "VG_kneelopen.png", (100, 340), princessthighs)
    $ dsqueezedpen = im.Composite((500, 390), (80, 0), dbsexy, (80, 0), "BS_lightpaizuri.png", (80, 300), "VG_lightvagina.png", (80, 300), dkneelopen, (100, 340), princessthighs)
    
# temporary P state, aka 'Pboing' state.
    $ squeezedtoplesslight = im.Composite((500, 390), (80, 0), PS_sexy, (80, 0), "BS_lightpaizuri.png", (80, 290), lightpantsu, (100, 340), princessthighs, (0, 60), princessdresslight_pd)
    $ squeezedtoplessdark = im.Composite((500, 390), (80, 0), PS_sexy, (80, 0), "BS_lightpaizuri.png", (80, 290), darkpantsu, (100, 340), princessthighs, (0, 60), princessdressdark_pd) 
    $ dsqueezedtoplesslight = im.Composite((500, 390), (80, 0), dbsexy, (80, 0), "BS_lightpaizuri.png", (80, 290), lightpantsu, (100, 340), princessthighs, (0, 60), princessdresslight_pd)
    $ dsqueezedtoplessdark = im.Composite((500, 390), (80, 0), dbsexy, (80, 0), "BS_lightpaizuri.png", (80, 290), darkpantsu, (100, 340), princessthighs, (0, 60), princessdressdark_pd) 

#Topless modes required for P states as defined below, aka "P state"
    $ toplessprincesslight = im.Composite((500, 390), (80, 0), PS_sexy, (250, 170), "PS_wide.png", (80, 0), "BS_lightboobs.png", (80, 290), lightpantsu, (100, 340), princessthighs, (0, 60), princessdresslight_pd)
    $ toplessprincessdark = im.Composite((500, 390), (80, 0), PS_sexy, (250, 170), "PS_wide.png", (80, 0), "BS_lightboobs.png", (80, 290), darkpantsu, (100, 340), princessthighs, (0, 60), princessdressdark_pd) 
    $ dtoplessprincesslight = im.Composite((500, 390), (80, 0), dbsexy, (250, 170), dbpatch, (80, 0), "BS_lightboobs.png", (80, 290), lightpantsu, (100, 340), princessthighs, (0, 60), princessdresslight_pd)
    $ dtoplessprincessdark = im.Composite((500, 390), (80, 0), dbsexy, (250, 170), dbpatch, (80, 0), "BS_lightboobs.png", (80, 290), darkpantsu, (100, 340), princessthighs, (0, 60), princessdressdark_pd) 
    
#Topless modes required for T states as defined below
    $ bareprincesslight = im.Composite((500, 390), (80, 0), PS_sexy, (250, 170), "PS_wide.png", (80, 0), "BS_lightboobs.png", (80, 290), lightpantsu, (100, 340), princessthighs, (0, 60), princessdresslight_bb)
    $ bareprincessdark = im.Composite((500, 390), (80, 0), PS_sexy, (250, 170), "PS_wide.png", (80, 0), "BS_lightboobs.png", (80, 290), darkpantsu, (100, 340), princessthighs, (0, 60), princessdressdark_bb)
    $ dbareprincesslight = im.Composite((500, 390), (80, 0), dbsexy, (250, 170), dbpatch, (80, 0), "BS_lightboobs.png", (80, 290), lightpantsu, (100, 340), princessthighs, (0, 60), princessdresslight_bb)
    $ dbareprincessdark = im.Composite((500, 390), (80, 0), dbsexy, (250, 170), dbpatch, (80, 0), "BS_lightboobs.png", (80, 290), darkpantsu, (100, 340), princessthighs, (0, 60), princessdressdark_bb)
    
#TS state, breast tease with panties
    $ bareteaseprincesslight = im.Composite((500, 390), (80, 0), PS_sexy, (250, 170), "PS_wide.png", (80, 0), "BS_lightpinchright.png", (80, 290), lightpantsu, (100, 340), princessthighs, (0, 60), princessdresslight_bb, (80, 0), "BS_lightpinchleft.png")
    $ bareteaseprincessdark = im.Composite((500, 390), (80, 0), PS_sexy, (250, 170), "PS_wide.png", (80, 0), "BS_lightpinchright.png", (80, 290), darkpantsu, (100, 340), princessthighs, (0, 60), princessdressdark_bb, (80, 0), "BS_lightpinchleft.png")
    $ dbareteaseprincesslight = im.Composite((500, 390), (80, 0), dbsexy, (250, 170), dbpatch, (80, 0), "BS_lightpinchright.png", (80, 290), lightpantsu, (100, 340), princessthighs, (0, 60), princessdresslight_bb, (80, 0), "BS_lightpinchleft.png")
    $ dbareteaseprincessdark = im.Composite((500, 390), (80, 0), dbsexy, (250, 170), dbpatch, (80, 0), "BS_lightpinchright.png", (80, 290), darkpantsu, (100, 340), princessthighs, (0, 60), princessdressdark_bb, (80, 0), "BS_lightpinchleft.png")
    
# B state 
    $ showprincesslight = im.Composite((500, 390), (80, 0), PS_sexy, (250, 170), "PS_wide.png", (80, 0), "BS_lightboobs.png", (100, 340), princessthighs, (80, 300), "VG_lightvagina.png", (80, 300), "VG_kneelclosed.png", (0, 60), princessdresslight_bb)
    $ showprincessdark = im.Composite((500, 390), (80, 0), PS_sexy, (250, 170), "PS_wide.png", (80, 0), "BS_lightboobs.png", (100, 340), princessthighs, (80, 300), "VG_lightvagina.png", (80, 300), "VG_kneelclosed.png", (0, 60), princessdressdark_bb)
    $ dshowprincesslight = im.Composite((500, 390), (80, 0), dbsexy, (250, 170), dbpatch, (80, 0), "BS_lightboobs.png", (100, 340), princessthighs, (80, 300), "VG_lightvagina.png", (80, 300), dkneelclosed, (0, 60), princessdresslight_bb)
    $ dshowprincessdark = im.Composite((500, 390), (80, 0), dbsexy, (250, 170), dbpatch, (80, 0), "BS_lightboobs.png", (100, 340), princessthighs, (80, 300), "VG_lightvagina.png", (80, 300), dkneelclosed, (0, 60), princessdressdark_bb)
    
# BS state 
    $ bareplayprincesslight = im.Composite((500, 390), (80, 0), PS_sexy, (250, 170), "PS_wide.png", (80, 0), "BS_lightpinchright.png", (100, 340), princessthighs, (80, 300), "VG_lightvagina.png", (80, 300), "VG_kneelclosed.png", (0, 60), princessdresslight_bb, (80, 0), "BS_lightpinchleft.png")
    $ bareplayprincessdark = im.Composite((500, 390), (80, 0), PS_sexy, (250, 170), "PS_wide.png", (80, 0), "BS_lightpinchright.png", (100, 340), princessthighs, (80, 300), "VG_lightvagina.png", (80, 300), "VG_kneelclosed.png", (0, 60), princessdressdark_bb, (80, 0), "BS_lightpinchleft.png")
    $ dbareplayprincesslight = im.Composite((500, 390), (80, 0), dbsexy, (250, 170), dbpatch, (80, 0), "BS_lightpinchright.png", (100, 340), princessthighs, (80, 300), "VG_lightvagina.png", (80, 300), dkneelclosed, (0, 60), princessdresslight_bb, (80, 0), "BS_lightpinchleft.png")
    $ dbareplayprincessdark = im.Composite((500, 390), (80, 0), dbsexy, (250, 170), dbpatch, (80, 0), "BS_lightpinchright.png", (100, 340), princessthighs, (80, 300), "VG_lightvagina.png", (80, 300), dkneelclosed, (0, 60), princessdressdark_bb, (80, 0), "BS_lightpinchleft.png")

# BA state
    $ showprincesslightpen = im.Composite((500, 390), (80, 0), PS_sexy, (250, 170), "PS_wide.png", (80, 0), "BS_lightboobs.png", (100, 340), princessthighs, (80, 300), "VG_lightvagina.png", (80, 300), "VG_kneelopen.png", (0, 60), princessdresslight_bb)
    $ showprincessdarkpen = im.Composite((500, 390), (80, 0), PS_sexy, (250, 170), "PS_wide.png", (80, 0), "BS_lightboobs.png", (100, 340), princessthighs, (80, 300), "VG_lightvagina.png", (80, 300), "VG_kneelopen.png", (0, 60), princessdressdark_bb)
    $ dshowprincesslightpen = im.Composite((500, 390), (80, 0), dbsexy, (250, 170), dbpatch, (80, 0), "BS_lightboobs.png", (100, 340), princessthighs, (80, 300), "VG_lightvagina.png", (80, 300), dkneelopen, (0, 60), princessdresslight_bb)
    $ dshowprincessdarkpen = im.Composite((500, 390), (80, 0), dbsexy, (250, 170), dbpatch, (80, 0), "BS_lightboobs.png", (100, 340), princessthighs, (80, 300), "VG_lightvagina.png", (80, 300), dkneelopen, (0, 60), princessdressdark_bb)
    
# BSA state
    $ bareplayprincesslightpen = im.Composite((500, 390), (80, 0), PS_sexy, (250, 170), "PS_wide.png", (80, 0), "BS_lightpinchright.png", (100, 340), princessthighs, (80, 300), "VG_lightvagina.png", (80, 300), "VG_kneelopen.png", (0, 60), princessdresslight_bb, (80, 0), "BS_lightpinchleft.png")
    $ bareplayprincessdarkpen = im.Composite((500, 390), (80, 0), PS_sexy, (250, 170), "PS_wide.png", (80, 0), "BS_lightpinchright.png", (100, 340), princessthighs, (80, 300), "VG_lightvagina.png", (80, 300), "VG_kneelopen.png", (0, 60), princessdressdark_bb, (80, 0), "BS_lightpinchleft.png")
    $ dbareplayprincesslightpen = im.Composite((500, 390), (80, 0), dbsexy, (250, 170), dbpatch, (80, 0), "BS_lightpinchright.png", (100, 340), princessthighs, (80, 300), "VG_lightvagina.png", (80, 300), dkneelopen, (0, 60), princessdresslight_bb, (80, 0), "BS_lightpinchleft.png")
    $ dbareplayprincessdarkpen = im.Composite((500, 390), (80, 0), dbsexy, (250, 170), dbpatch, (80, 0), "BS_lightpinchright.png", (100, 340), princessthighs, (80, 300), "VG_lightvagina.png", (80, 300), dkneelopen, (0, 60), princessdressdark_bb, (80, 0), "BS_lightpinchleft.png")


# N and NA states defined already.  no clothes required.
    $ nakedprincess = im.Composite((500, 390), (80, 0), PS_sexy, (250, 170), "PS_wide.png", (80, 0), "BS_lightboobs.png", (100, 340), princessthighs, (80, 300), "VG_lightvagina.png", (80, 300), "VG_kneelclosed.png")
    $ dnakedprincess = im.Composite((500, 390), (80, 0), dbsexy, (250, 170), dbpatch, (80, 0), "BS_lightboobs.png", (100, 340), princessthighs, (80, 300), "VG_lightvagina.png", (80, 300), dkneelclosed)
    $ nakedprincesspen = im.Composite((500, 390), (80, 0), PS_sexy, (250, 170), "PS_wide.png", (80, 0), "BS_lightboobs.png", (100, 340), princessthighs, (80, 300), "VG_lightvagina.png", (80, 300), "VG_kneelopen.png")
    $ dnakedprincesspen = im.Composite((500, 390), (80, 0), dbsexy, (250, 170), dbpatch, (80, 0), "BS_lightboobs.png", (100, 340), princessthighs, (80, 300), "VG_lightvagina.png", (80, 300), dkneelopen)
    

    $ princesscomposite = ConditionSwitch(
        "bodytonetype != 'yellow' and sexystate == 'C' and clothestype == 'light'", Image(squeezedtightlight),
        "bodytonetype != 'yellow' and sexystate == 'C' and clothestype == 'dark'", Image(squeezedtightdark),
        "bodytonetype == 'yellow' and sexystate == 'C' and clothestype == 'light'", Image(dsqueezedtightlight),
        "bodytonetype == 'yellow' and sexystate == 'C' and clothestype == 'dark'", Image(dsqueezedtightdark),
        # temporary state used only during in-sequence transition animation, no actual paizuri because of dress
        "bodytonetype != 'yellow' and sexystate == 'Pboing' and clothestype == 'light'", Image(squeezedtoplesslight),
        "bodytonetype != 'yellow' and sexystate == 'Pboing' and clothestype == 'dark'", Image(squeezedtoplessdark),
        "bodytonetype == 'yellow' and sexystate == 'Pboing' and clothestype == 'light'", Image(dsqueezedtoplesslight),
        "bodytonetype == 'yellow' and sexystate == 'Pboing' and clothestype == 'dark'", Image(dsqueezedtoplessdark),

        "bodytonetype != 'yellow' and sexystate == 'P' and clothestype == 'light'", Image(toplessprincesslight),
        "bodytonetype != 'yellow' and sexystate == 'P' and clothestype == 'dark'", Image(toplessprincessdark),
        "bodytonetype == 'yellow' and sexystate == 'P' and clothestype == 'light'", Image(dtoplessprincesslight),
        "bodytonetype == 'yellow' and sexystate == 'P' and clothestype == 'dark'", Image(dtoplessprincessdark),
        
        "bodytonetype != 'yellow' and sexystate == 'T' and clothestype == 'light'", Image(bareprincesslight),
        "bodytonetype != 'yellow' and sexystate == 'T' and clothestype == 'dark'", Image(bareprincessdark),
        "bodytonetype == 'yellow' and sexystate == 'T' and clothestype == 'light'", Image(dbareprincesslight),
        "bodytonetype == 'yellow' and sexystate == 'T' and clothestype == 'dark'", Image(dbareprincessdark),
        
        "bodytonetype != 'yellow' and sexystate == 'TS' and clothestype == 'light'", Image(bareteaseprincesslight),
        "bodytonetype != 'yellow' and sexystate == 'TS' and clothestype == 'dark'", Image(bareteaseprincessdark),
        "bodytonetype == 'yellow' and sexystate == 'TS' and clothestype == 'light'", Image(dbareteaseprincesslight),
        "bodytonetype == 'yellow' and sexystate == 'TS' and clothestype == 'dark'", Image(dbareteaseprincessdark),
        
        "bodytonetype != 'yellow' and sexystate == 'B' and clothestype == 'light'", Image(showprincesslight),
        "bodytonetype != 'yellow' and sexystate == 'B' and clothestype == 'dark'", Image(showprincessdark),
        "bodytonetype == 'yellow' and sexystate == 'B' and clothestype == 'light'", Image(dshowprincesslight),
        "bodytonetype == 'yellow' and sexystate == 'B' and clothestype == 'dark'", Image(dshowprincessdark),
        
        "bodytonetype != 'yellow' and sexystate == 'BS' and clothestype == 'light'", Image(bareplayprincesslight),
        "bodytonetype != 'yellow' and sexystate == 'BS' and clothestype == 'dark'", Image(bareplayprincessdark),
        "bodytonetype == 'yellow' and sexystate == 'BS' and clothestype == 'light'", Image(dbareplayprincesslight),
        "bodytonetype == 'yellow' and sexystate == 'BS' and clothestype == 'dark'", Image(dbareplayprincessdark),
        
        "bodytonetype != 'yellow' and sexystate == 'BA' and clothestype == 'light'", Image(showprincesslightpen),
        "bodytonetype != 'yellow' and sexystate == 'BA' and clothestype == 'dark'", Image(showprincessdarkpen),
        "bodytonetype == 'yellow' and sexystate == 'BA' and clothestype == 'light'", Image(dshowprincesslightpen),
        "bodytonetype == 'yellow' and sexystate == 'BA' and clothestype == 'dark'", Image(dshowprincessdarkpen),
        
        "bodytonetype != 'yellow' and sexystate == 'BSA' and clothestype == 'light'", Image(bareplayprincesslightpen),
        "bodytonetype != 'yellow' and sexystate == 'BSA' and clothestype == 'dark'", Image(bareplayprincessdarkpen),
        "bodytonetype == 'yellow' and sexystate == 'BSA' and clothestype == 'light'", Image(dbareplayprincesslightpen),
        "bodytonetype == 'yellow' and sexystate == 'BSA' and clothestype == 'dark'", Image(dbareplayprincessdarkpen),
        
        "bodytonetype != 'yellow' and sexystate == 'N'", Image(nakedprincess),
        "bodytonetype == 'yellow' and sexystate == 'N'", Image(dnakedprincess),
        "bodytonetype != 'yellow' and sexystate == 'NA'", Image(nakedprincesspen),
        "bodytonetype == 'yellow' and sexystate == 'NA'", Image(dnakedprincesspen),
        # temporary states used only in-sequence, equivalent of Nurse squeezing but no milking (Npai, NApai states)
        "bodytonetype != 'yellow' and sexystate == 'Nboing'", Image(squeezed),
        "bodytonetype == 'yellow' and sexystate == 'Nboing'", Image(dsqueezed),
        "bodytonetype != 'yellow' and sexystate == 'penpai'", Image(squeezedpen),
        "bodytonetype == 'yellow' and sexystate == 'penpai'", Image(dsqueezedpen),

    )

        
    image princess = LiveComposite((800, 450),  (0, 0), bg, (300, 0), headpart, (360, 60), nosepart, (300, 0), hairpose, (340, 0), expressionconstruct, (200, 60), princesscomposite, (300, 0), crown, (348, 104), necklace)
    
    image ribbonreveal = "D_ribbonreveal.png"
    image ribbonplay = "D_ribbonplay.png"
    image ribbonplay2 = "D_ribbonplay2.png"

#-----------------Playmate Scenario ------------------------------------------
#-----------------------------------------------------------------------------
#The following to be reused by Secretary Scenario as well
    
    $ normalAF = "AF_pose_normal.png"
    $ dnormalAF =  im.MatrixColor("AF_pose_normal.png", im.matrix.hue(30))
    $ swingbackAF = "AF_pose_swingback.png"
    $ dswingbackAF =  im.MatrixColor("AF_pose_swingback.png", im.matrix.hue(30))    
    $ squeezeAF = "AF_pose_squeeze.png"
    $ dsqueezeAF =  im.MatrixColor("AF_pose_squeeze.png", im.matrix.hue(30)) 
    
    $ stockings = "AF_clothes_stockings.png" # Decided to leave stockings nontransparent like the panties (we already have transparent white version in other scenarios, while the frilly panties can become transparent
    
    #$ stockingtrans = im.Alpha("AF_clothes_stockings.png", 0.5)
    #$ stockings = ConditionSwitch(
    #    "transparency == 'off'", "AF_clothes_stockings.png",  
    #    "transparency == 'on'", Image(stockingtrans),     
    #)

#--- end reuse

#define the clothes

    $ frillydoily =  im.MatrixColor("AF_clothes_doily.png", im.matrix.hue(-72))
    $ frillydoilytrans = im.Alpha(frillydoily, 0.5)
    $ dfrillydoily = "AF_clothes_doily.png"
    $ dfrillydoilytrans = im.Alpha(dfrillydoily, 0.5)
    
    $ superalphadoily = im.Alpha(dfrillydoily, 0.0)
    
    $ frillyheadpiece = ConditionSwitch(   
        "clothestype == 'light' and transparency == 'off'", Image(frillydoily),  
        "clothestype == 'light' and transparency == 'on'", Image(frillydoilytrans),    
        "clothestype == 'dark' and transparency == 'off'", Image(dfrillydoily),  
        "clothestype == 'dark' and transparency == 'on'", Image(dfrillydoilytrans),  
    )
    
    $ frillytop =  im.MatrixColor("AF_clothes_top.png", im.matrix.hue(-72))
    $ frillytoptrans =  im.Alpha(frillytop, 0.5)
    $ dfrillytop = "AF_clothes_top.png"
    $ dfrillytoptrans = im.Alpha(dfrillytop, 0.5)
    
    $ frillytope =  im.MatrixColor("AF_clothes_toperect.png", im.matrix.hue(-72))
    $ frillytopetrans =  im.Alpha(frillytope, 0.5)
    $ dfrillytope = "AF_clothes_toperect.png"
    $ dfrillytopetrans = im.Alpha(dfrillytope, 0.5)
    
# Following block used for Secretary scenario, actually
#---------------------------------------------
    $ frillybusted =  im.MatrixColor("AF_clothes_topbusted.png", im.matrix.hue(-72))
    $ frillybustedtrans =  im.Alpha(frillybusted, 0.5)
    $ dfrillybusted = "AF_clothes_topbusted.png"
    $ dfrillybustedtrans = im.Alpha(dfrillybusted, 0.5)
#---------------------------------------------
    
    $ frillytoppull =  im.MatrixColor("AF_clothes_toppulled.png", im.matrix.hue(-72))
    $ frillytoppulltrans =  im.Alpha(frillytoppull, 0.5)
    $ dfrillytoppull = "AF_clothes_toppulled.png"
    $ dfrillytoppulltrans = im.Alpha(dfrillytoppull, 0.5)
    
    $ frillybottom = im.MatrixColor("AF_clothes_bottomfrills.png", im.matrix.hue(-72))
    $ frillybottomtrans = im.Alpha(frillybottom, 0.5)
    $ dfrillybottom = "AF_clothes_bottomfrills.png"
    $ dfrillybottomtrans = im.Alpha(dfrillybottom, 0.5)
    
    $ skirt = im.MatrixColor("AF_clothes_skirt.png", im.matrix.hue(-60))
    $ skirttrans = im.Alpha(skirt, 0.5)
    $ dskirt = "AF_clothes_skirt.png"
    $ dskirttrans = im.Alpha(dskirt, 0.5)

#define the bodypostures
    $ normalflushpure = im.Composite((600, 350), (0, 0), normalAF, (50, 150), "AF_nipples_normal_nonerect.png")
    $ normalpointypure = im.Composite((600, 350), (0, 0), normalAF, (50, 150), "AF_nipples_normal_regular.png")
    $ dnormalflushpure = im.Composite((600, 350), (0, 0), dnormalAF, (50, 150), "AF_nipples_normal_nonerect.png")
    $ dnormalpointypure = im.Composite((600, 350), (0, 0), dnormalAF, (50, 150), "AF_nipples_normal_regular.png")

    $ swingbackflushpure = im.Composite((600, 350), (0, 0), swingbackAF, (50, 150), "AF_nipples_swingback_nonerect.png")
    $ swingbackpointypure = im.Composite((600, 350), (0, 0), swingbackAF, (50, 150), "AF_nipples_swingback_regular.png")
    $ dswingbackflushpure = im.Composite((600, 350), (0, 0), dswingbackAF, (50, 150), "AF_nipples_swingback_nonerect.png")
    $ dswingbackpointypure = im.Composite((600, 350), (0, 0), dswingbackAF, (50, 150), "AF_nipples_swingback_regular.png")
    
    $ squeezepointypure = im.Composite((600, 350), (0, 0), squeezeAF, (50, 150), "AF_nipples_squeeze_regular.png")
    $ dsqueezepointypure = im.Composite((600, 350), (0, 0), dsqueezeAF, (50, 150), "AF_nipples_squeeze_regular.png")

#define the clothes for frilly
# fully-clothed frilly  State 'F'
    $ fullpurefrilly = im.Composite((600, 400), (100, 100), frillytop, (300, 50), frillybottom)
    $ fullpurefrillytrans = im.Composite((600, 400), (100, 100), frillytoptrans, (300, 50), frillybottomtrans)
    $ dfullpurefrilly = im.Composite((600, 400), (100, 100), dfrillytop, (300, 50), dfrillybottom)
    $ dfullpurefrillytrans = im.Composite((600, 400), (100, 100), dfrillytoptrans, (300, 50), dfrillybottomtrans)

# topless frilly State 'T'
    $ Tpurefrilly = im.Composite((600, 400), (300, 50), frillybottom)
    $ Tpurefrillytrans = im.Composite((600, 400), (300, 50), frillybottomtrans)
    $ dTpurefrilly = im.Composite((600, 400), (300, 50), dfrillybottom)
    $ dTpurefrillytrans = im.Composite((600, 400), (300, 50), dfrillybottomtrans)
    
# bottomless frilly State 'B'
    $ Bpurefrilly = im.Composite((600, 400), (100, 100), frillytop)
    $ Bpurefrillytrans = im.Composite((600, 400), (100, 100), frillytoptrans)
    $ dBpurefrilly = im.Composite((600, 400), (100, 100), dfrillytop)
    $ dBpurefrillytrans = im.Composite((600, 400), (100, 100), dfrillytoptrans)
    
# erect frilly State 'E'
    $ Epurefrilly = im.Composite((600, 400), (100, 100), frillytope, (300, 50), frillybottom)
    $ Epurefrillytrans = im.Composite((600, 400), (100, 100), frillytopetrans, (300, 50), frillybottomtrans)
    $ dEpurefrilly = im.Composite((600, 400), (100, 100), dfrillytope, (300, 50), dfrillybottom)
    $ dEpurefrillytrans = im.Composite((600, 400), (100, 100), dfrillytopetrans, (300, 50), dfrillybottomtrans)

# erect bottomless frilly State 'EB'
    $ EBpurefrilly = im.Composite((600, 400), (100, 100), frillytope)
    $ EBpurefrillytrans = im.Composite((600, 400), (100, 100), frillytopetrans)
    $ dEBpurefrilly = im.Composite((600, 400), (100, 100), dfrillytope)
    $ dEBpurefrillytrans = im.Composite((600, 400), (100, 100), dfrillytopetrans)
    
# pulled frilly State 'P'
    $ Ppurefrilly = im.Composite((600, 400), (250, 100), frillytoppull, (300, 50), frillybottom)
    $ Ppurefrillytrans = im.Composite((600, 400), (250, 100), frillytoppulltrans, (300, 50), frillybottomtrans)
    $ dPpurefrilly = im.Composite((600, 400), (250, 100), dfrillytoppull, (300, 50), dfrillybottom)
    $ dPpurefrillytrans = im.Composite((600, 400), (250, 100), dfrillytoppulltrans, (300, 50), dfrillybottomtrans)
    
# pulled bottomless frilly State 'PB'
    $ PBpurefrilly = im.Composite((600, 400), (250, 100), frillytoppull)
    $ PBpurefrillytrans = im.Composite((600, 400), (250, 100), frillytoppulltrans)
    $ dPBpurefrilly = im.Composite((600, 400), (250, 100), dfrillytoppull)
    $ dPBpurefrillytrans = im.Composite((600, 400), (250, 100), dfrillytoppulltrans)
    
# naked frilly State 'N'
    $ Npurefrilly = im.Composite((600, 400), (20, 0), superalphadoily)

    $ Npurefrillytrans = Npurefrilly
    $ dNpurefrilly = Npurefrilly
    $ dNpurefrillytrans = Npurefrilly

#------
#define clothes for princess v2 clothes

# fully-clothed  State 'F'
    $ fullpurePS = im.Composite((600, 400), (100, 100), frillytop, (250, 100), skirt)
    $ fullpurePStrans = im.Composite((600, 400), (100, 100), frillytoptrans, (250, 100), skirttrans)
    $ dfullpurePS = im.Composite((600, 400), (100, 100), dfrillytop, (250, 100), dskirt)
    $ dfullpurePStrans = im.Composite((600, 400), (100, 100), dfrillytoptrans, (250, 100), dskirttrans)

# topless State 'T'
    $ TpurePS = im.Composite((600, 400), (250, 100), skirt)
    $ TpurePStrans = im.Composite((600, 400), (250, 100), skirttrans)
    $ dTpurePS = im.Composite((600, 400), (250, 100), dskirt)
    $ dTpurePStrans = im.Composite((600, 400), (250, 100), dskirttrans)
    
# bottomless State 'B'
    $ BpurePS = im.Composite((600, 400), (100, 100), frillytop)
    $ BpurePStrans = im.Composite((600, 400), (100, 100), frillytoptrans)
    $ dBpurePS = im.Composite((600, 400), (100, 100), dfrillytop)
    $ dBpurePStrans = im.Composite((600, 400), (100, 100), dfrillytoptrans)
    
# erect State 'E'
    $ EpurePS = im.Composite((600, 400), (100, 100), frillytope, (250, 100), skirt)
    $ EpurePStrans = im.Composite((600, 400), (100, 100), frillytopetrans, (250, 100), skirttrans)
    $ dEpurePS = im.Composite((600, 400), (100, 100), dfrillytope, (250, 100), dskirt)
    $ dEpurePStrans = im.Composite((600, 400), (100, 100), dfrillytopetrans, (250, 100), dskirttrans)

# erect bottomless State 'EB'
    $ EBpurePS = im.Composite((600, 400), (100, 100), frillytope)
    $ EBpurePStrans = im.Composite((600, 400), (100, 100), frillytopetrans)
    $ dEBpurePS = im.Composite((600, 400), (100, 100), dfrillytope)
    $ dEBpurePStrans = im.Composite((600, 400), (100, 100), dfrillytopetrans)
    
#----------------------
# The ff are for 'ripe' versions of E and EB
# erect State 'E'
    $ EripePS = im.Composite((600, 400), (100, 100), frillybusted, (250, 100), skirt)
    $ EripePStrans = im.Composite((600, 400), (100, 100), frillybustedtrans, (250, 100), skirttrans)
    $ dEripePS = im.Composite((600, 400), (100, 100), dfrillybusted, (250, 100), dskirt)
    $ dEripePStrans = im.Composite((600, 400), (100, 100), dfrillybustedtrans, (250, 100), dskirttrans)

# erect bottomless State 'EB'
    $ EBripePS = im.Composite((600, 400), (100, 100), frillybusted)
    $ EBripePStrans = im.Composite((600, 400), (100, 100), frillybustedtrans)
    $ dEBripePS = im.Composite((600, 400), (100, 100), dfrillybusted)
    $ dEBripePStrans = im.Composite((600, 400), (100, 100), dfrillybustedtrans)
#-------------------------
    
# pulled State 'P'
    $ PpurePS = im.Composite((600, 400), (250, 100), frillytoppull, (250, 100), skirt)
    $ PpurePStrans = im.Composite((600, 400), (250, 100), frillytoppulltrans, (250, 100), skirttrans)
    $ dPpurePS = im.Composite((600, 400), (250, 100), dfrillytoppull, (250, 100), dskirt)
    $ dPpurePStrans = im.Composite((600, 400), (250, 100), dfrillytoppulltrans, (250, 100), dskirttrans)
    
# pulled bottomless State 'PB'
    $ PBpurePS = im.Composite((600, 400), (250, 100), frillytoppull)
    $ PBpurePStrans = im.Composite((600, 400), (250, 100), frillytoppulltrans)
    $ dPBpurePS = im.Composite((600, 400), (250, 100), dfrillytoppull)
    $ dPBpurePStrans = im.Composite((600, 400), (250, 100), dfrillytoppulltrans)
    
# naked State 'N'
    $ NpurePS = Npurefrilly
    
    $ NpurePStrans = Npurefrilly
    $ dNpurePS = Npurefrilly
    $ dNpurePStrans = Npurefrilly

#define new conditions clothesset and transparency (former is unique only to playmate scenario, latter also occurs in secretary scenario)

    $ playmateclothescompositefrilly = ConditionSwitch(
        "sexystate == 'F' and clothestype == 'light' and transparency == 'off'", Image(fullpurefrilly),
        "sexystate == 'F' and clothestype == 'light' and transparency == 'on'", Image(fullpurefrillytrans),
        "sexystate == 'F' and clothestype == 'dark' and transparency == 'off'", Image(dfullpurefrilly),
        "sexystate == 'F' and clothestype == 'dark' and transparency == 'on'", Image(dfullpurefrillytrans),

        "sexystate == 'T' and clothestype == 'light' and transparency == 'off'", Image(Tpurefrilly),
        "sexystate == 'T' and clothestype == 'light' and transparency == 'on'", Image(Tpurefrillytrans),
        "sexystate == 'T' and clothestype == 'dark' and transparency == 'off'", Image(dTpurefrilly),
        "sexystate == 'T' and clothestype == 'dark' and transparency == 'on'", Image(dTpurefrillytrans),
        
        "sexystate == 'B' and clothestype == 'light' and transparency == 'off'", Image(Bpurefrilly),
        "sexystate == 'B' and clothestype == 'light' and transparency == 'on'", Image(Bpurefrillytrans),
        "sexystate == 'B' and clothestype == 'dark' and transparency == 'off'", Image(dBpurefrilly),
        "sexystate == 'B' and clothestype == 'dark' and transparency == 'on'", Image(dBpurefrillytrans),
        
        "sexystate == 'E' and clothestype == 'light' and transparency == 'off'", Image(Epurefrilly),
        "sexystate == 'E' and clothestype == 'light' and transparency == 'on'", Image(Epurefrillytrans),
        "sexystate == 'E' and clothestype == 'dark' and transparency == 'off'", Image(dEpurefrilly),
        "sexystate == 'E' and clothestype == 'dark' and transparency == 'on'", Image(dEpurefrillytrans),
        
        "sexystate == 'EB' and clothestype == 'light' and transparency == 'off'", Image(EBpurefrilly),
        "sexystate == 'EB' and clothestype == 'light' and transparency == 'on'", Image(EBpurefrillytrans),
        "sexystate == 'EB' and clothestype == 'dark' and transparency == 'off'", Image(dEBpurefrilly),
        "sexystate == 'EB' and clothestype == 'dark' and transparency == 'on'", Image(dEBpurefrillytrans),
        
        "sexystate == 'P' and clothestype == 'light' and transparency == 'off'", Image(Ppurefrilly),
        "sexystate == 'P' and clothestype == 'light' and transparency == 'on'", Image(Ppurefrillytrans),
        "sexystate == 'P' and clothestype == 'dark' and transparency == 'off'", Image(dPpurefrilly),
        "sexystate == 'P' and clothestype == 'dark' and transparency == 'on'", Image(dPpurefrillytrans),
        
        "sexystate == 'PB' and clothestype == 'light' and transparency == 'off'", Image(PBpurefrilly),
        "sexystate == 'PB' and clothestype == 'light' and transparency == 'on'", Image(PBpurefrillytrans),
        "sexystate == 'PB' and clothestype == 'dark' and transparency == 'off'", Image(dPBpurefrilly),
        "sexystate == 'PB' and clothestype == 'dark' and transparency == 'on'", Image(dPBpurefrillytrans),
        
        "sexystate == 'N' and clothestype == 'light' and transparency == 'off'", Image(Npurefrilly),
        "sexystate == 'N' and clothestype == 'light' and transparency == 'on'", Image(Npurefrillytrans),
        "sexystate == 'N' and clothestype == 'dark' and transparency == 'off'", Image(dNpurefrilly),
        "sexystate == 'N' and clothestype == 'dark' and transparency == 'on'", Image(dNpurefrillytrans),
    )
    
    $ playmateclothescompositepcss = ConditionSwitch(
        "sexystate == 'F' and clothestype == 'light' and transparency == 'off'", Image(fullpurePS),
        "sexystate == 'F' and clothestype == 'light' and transparency == 'on'", Image(fullpurePStrans),
        "sexystate == 'F' and clothestype == 'dark' and transparency == 'off'", Image(dfullpurePS),
        "sexystate == 'F' and clothestype == 'dark' and transparency == 'on'", Image(dfullpurePStrans),

        "sexystate == 'T' and clothestype == 'light' and transparency == 'off'", Image(TpurePS),
        "sexystate == 'T' and clothestype == 'light' and transparency == 'on'", Image(TpurePStrans),
        "sexystate == 'T' and clothestype == 'dark' and transparency == 'off'", Image(dTpurePS),
        "sexystate == 'T' and clothestype == 'dark' and transparency == 'on'", Image(dTpurePStrans),
        
        "sexystate == 'B' and clothestype == 'light' and transparency == 'off'", Image(BpurePS),
        "sexystate == 'B' and clothestype == 'light' and transparency == 'on'", Image(BpurePStrans),
        "sexystate == 'B' and clothestype == 'dark' and transparency == 'off'", Image(dBpurePS),
        "sexystate == 'B' and clothestype == 'dark' and transparency == 'on'", Image(dBpurePStrans),
        
        "sexystate == 'E' and clothestype == 'light' and transparency == 'off'", Image(EpurePS),
        "sexystate == 'E' and clothestype == 'light' and transparency == 'on'", Image(EpurePStrans),
        "sexystate == 'E' and clothestype == 'dark' and transparency == 'off'", Image(dEpurePS),
        "sexystate == 'E' and clothestype == 'dark' and transparency == 'on'", Image(dEpurePStrans),
        
        "sexystate == 'EB' and clothestype == 'light' and transparency == 'off'", Image(EBpurePS),
        "sexystate == 'EB' and clothestype == 'light' and transparency == 'on'", Image(EBpurePStrans),
        "sexystate == 'EB' and clothestype == 'dark' and transparency == 'off'", Image(dEBpurePS),
        "sexystate == 'EB' and clothestype == 'dark' and transparency == 'on'", Image(dEBpurePStrans),
        
        "sexystate == 'P' and clothestype == 'light' and transparency == 'off'", Image(PpurePS),
        "sexystate == 'P' and clothestype == 'light' and transparency == 'on'", Image(PpurePStrans),
        "sexystate == 'P' and clothestype == 'dark' and transparency == 'off'", Image(dPpurePS),
        "sexystate == 'P' and clothestype == 'dark' and transparency == 'on'", Image(dPpurePStrans),
        
        "sexystate == 'PB' and clothestype == 'light' and transparency == 'off'", Image(PBpurePS),
        "sexystate == 'PB' and clothestype == 'light' and transparency == 'on'", Image(PBpurePStrans),
        "sexystate == 'PB' and clothestype == 'dark' and transparency == 'off'", Image(dPBpurePS),
        "sexystate == 'PB' and clothestype == 'dark' and transparency == 'on'", Image(dPBpurePStrans),
        
        "sexystate == 'N' and clothestype == 'light' and transparency == 'off'", Image(NpurePS),
        "sexystate == 'N' and clothestype == 'light' and transparency == 'on'", Image(NpurePStrans),
        "sexystate == 'N' and clothestype == 'dark' and transparency == 'off'", Image(dNpurePS),
        "sexystate == 'N' and clothestype == 'dark' and transparency == 'on'", Image(dNpurePStrans),
    )


# define new boobstate = b1 through b6 (b1-b3 is squeeze, normal, swingback nonerect, b4-b6 is erect)
    $ playmatecomposite = ConditionSwitch(
        "bodytonetype != 'yellow' and boobstate == 'b1'", Image(squeezepointypure),
        "bodytonetype != 'yellow' and boobstate == 'b2'", Image(normalflushpure),
        "bodytonetype != 'yellow' and boobstate == 'b3'", Image(swingbackflushpure),
        "bodytonetype != 'yellow' and boobstate == 'b4'", Image(squeezepointypure),
        "bodytonetype != 'yellow' and boobstate == 'b5'", Image(normalpointypure),
        "bodytonetype != 'yellow' and boobstate == 'b6'", Image(swingbackpointypure),
        "bodytonetype == 'yellow' and boobstate == 'b1'", Image(dsqueezepointypure),
        "bodytonetype == 'yellow' and boobstate == 'b2'", Image(dnormalflushpure),
        "bodytonetype == 'yellow' and boobstate == 'b3'", Image(dswingbackflushpure),
        "bodytonetype == 'yellow' and boobstate == 'b4'", Image(dsqueezepointypure),
        "bodytonetype == 'yellow' and boobstate == 'b5'", Image(dnormalpointypure),
        "bodytonetype == 'yellow' and boobstate == 'b6'", Image(dswingbackpointypure),
)

#150, 50 for pose, 100, 0 for clothes
    image trionafours = LiveComposite((800, 450), (0, 0), bg, (120, 0), headpart, (180, 60), nosepart, (150, 50), playmatecomposite, (160, 0), expressionconstruct, (100, 0), playmateclothescompositefrilly, (120, 0), hairposeAF, (400, 200), stockings, (120, 0), frillyheadpiece)
    image trionafourspcss = LiveComposite((800, 450), (0, 0), bg, (120, 0), headpart, (180, 60), nosepart, (150, 50), playmatecomposite, (160, 0), expressionconstruct, (100, 0), playmateclothescompositepcss, (120, 0), hairposeAF, (120, 0), crown)

#Haha yeah!
    image pedobear = Animation("AF_props_teddybkwd.png", 0.4, "AF_props_teddyfwd.png", 0.2,)
    image pedobearfast = Animation("AF_props_teddybkwd.png", 0.3, "AF_props_teddyfwd.png", 0.1,)
    $ teddypos = pce11

#-------------------
# Secretary definitions

#define the bodypostures
    $ normalripe = im.Composite((600, 350), (0, 0), normalAF, (50, 150), "AF_nipples_normal_dark.png")
    $ dnormalripe = im.Composite((600, 350), (0, 0), dnormalAF, (50, 150), "AF_nipples_normal_dark.png")

    $ swingbackripe = im.Composite((600, 350), (0, 0), swingbackAF, (50, 150), "AF_nipples_swingback_dark.png")
    $ swingbackpointyripe = im.Composite((600, 350), (0, 0), swingbackAF, (50, 150), "AF_nipples_swingback_darkpull.png")
    $ dswingbackripe = im.Composite((600, 350), (0, 0), dswingbackAF, (50, 150), "AF_nipples_swingback_dark.png")
    $ dswingbackpointyripe = im.Composite((600, 350), (0, 0), dswingbackAF, (50, 150), "AF_nipples_swingback_darkpull.png")

    $ squeezeripe = im.Composite((600, 350), (0, 0), squeezeAF, (50, 150), "AF_nipples_squeeze_dark.png")
    $ squeezepointyripe = im.Composite((600, 350), (0, 0), squeezeAF, (50, 150), "AF_nipples_squeeze_darkpull.png")
    $ dsqueezeripe = im.Composite((600, 350), (0, 0), dsqueezeAF, (50, 150), "AF_nipples_squeeze_dark.png")
    $ dsqueezepointyripe = im.Composite((600, 350), (0, 0), dsqueezeAF, (50, 150), "AF_nipples_squeeze_darkpull.png")
    
# define new boobstate = b1 through b6 (b1-b3 is squeeze, normal, swingback nonerect, b4-b6 is erect)
    $ secretarycomposite = ConditionSwitch(
        "bodytonetype != 'yellow' and boobstate == 'b1'", Image(squeezeripe),
        "bodytonetype != 'yellow' and boobstate == 'b2'", Image(normalripe),
        "bodytonetype != 'yellow' and boobstate == 'b3'", Image(swingbackripe),
        "bodytonetype != 'yellow' and boobstate == 'b4'", Image(squeezepointyripe),
        "bodytonetype != 'yellow' and boobstate == 'b5'", Image(normalripe),
        "bodytonetype != 'yellow' and boobstate == 'b6'", Image(swingbackpointyripe),
        "bodytonetype == 'yellow' and boobstate == 'b1'", Image(dsqueezeripe),
        "bodytonetype == 'yellow' and boobstate == 'b2'", Image(dnormalripe),
        "bodytonetype == 'yellow' and boobstate == 'b3'", Image(dswingbackripe),
        "bodytonetype == 'yellow' and boobstate == 'b4'", Image(dsqueezepointyripe),
        "bodytonetype == 'yellow' and boobstate == 'b5'", Image(dnormalripe),
        "bodytonetype == 'yellow' and boobstate == 'b6'", Image(dswingbackpointyripe),
)

#define the clothes

    $ shirt =  im.MatrixColor("AF_clothes_shirt.png", im.matrix.hue(-128))
    $ shirttrans =  im.Alpha(shirt, 0.5)
    $ dshirt = "AF_clothes_shirt.png"
    $ dshirttrans = im.Alpha(dshirt, 0.5)
    
    $ shirtopen =  im.MatrixColor("AF_clothes_shirtopen.png", im.matrix.hue(-128))
    $ shirtopentrans =  im.Alpha(shirtopen, 0.5)
    $ dshirtopen = "AF_clothes_shirtopen.png"
    $ dshirtopentrans = im.Alpha(dshirtopen, 0.5)
    
    $ shirtsqueeze =  im.MatrixColor("AF_clothes_shirtsqueeze.png", im.matrix.hue(-128))
    $ shirtsqueezetrans =  im.Alpha(shirtsqueeze, 0.5)
    $ dshirtsqueeze = "AF_clothes_shirtsqueeze.png"
    $ dshirtsqueezetrans = im.Alpha(dshirtsqueeze, 0.5)
    
    $ shirtwet = im.MatrixColor("AF_clothes_shirtwet.png", im.matrix.hue(-128))
    $ shirtwettrans = im.Alpha(shirtwet, 0.5)
    $ dshirtwet = "AF_clothes_shirtwet.png"
    $ dshirtwettrans = im.Alpha(dshirtwet, 0.5)


# Panties!

    $ afpanty = im.MatrixColor("AF_clothes_panty.png", im.matrix.hue(-90))
#    $ afpantytrans = im.Alpha(afpanty, 0.5)
    $ dafpanty = "AF_clothes_panty.png"
#    $ dafpantytrans = im.Alpha(dafpanty, 0.5)
    # removed transparency since we want this panty to show better through the skirt (we already have a transparent frilly panty)
    $ secpantsu = ConditionSwitch(
        "clothestype == 'light'", Image(afpanty),  
        "clothestype == 'dark'", Image(dafpanty),     
    )
#------
#define clothes for secretary

# fully-clothed  State 'F'
    $ fullripe = im.Composite((600, 400), (250, 100), skirt, (100, 50), shirt)
    $ fullripetrans = im.Composite((600, 400), (250, 100), skirttrans, (100, 50), shirttrans)
    $ dfullripe = im.Composite((600, 400), (250, 100), dskirt, (100, 50), dshirt)
    $ dfullripetrans = im.Composite((600, 400), (250, 100), dskirttrans, (100, 50), dshirttrans)

# topless State 'T'
    $ Tripe = im.Composite((600, 400), (250, 100), skirt)
    $ Tripetrans = im.Composite((600, 400), (250, 100), skirttrans)
    $ dTripe = im.Composite((600, 400), (250, 100), dskirt)
    $ dTripetrans = im.Composite((600, 400), (250, 100), dskirttrans)
    
# bottomless State 'B'
    $ Bripe = im.Composite((600, 400), (100, 50), shirt)
    $ Bripetrans = im.Composite((600, 400), (100, 50), shirttrans)
    $ dBripe = im.Composite((600, 400), (100, 50), dshirt)
    $ dBripetrans = im.Composite((600, 400), (100, 50), dshirttrans)
    
# wet State 'E'
    $ Eripe = im.Composite((600, 400), (250, 100), skirt, (100, 50), shirtwet)
    $ Eripetrans = im.Composite((600, 400), (250, 100), skirttrans, (100, 50), shirtwettrans)
    $ dEripe = im.Composite((600, 400), (250, 100), dskirt, (100, 50), dshirtwet)
    $ dEripetrans = im.Composite((600, 400), (250, 100), dskirttrans, (100, 50), dshirtwettrans)

# wet bottomless State 'EB'
    $ EBripe = im.Composite((600, 400), (100, 50), shirtwet)
    $ EBripetrans = im.Composite((600, 400), (100, 50), shirtwettrans)
    $ dEBripe = im.Composite((600, 400), (100, 50), dshirtwet)
    $ dEBripetrans = im.Composite((600, 400), (100, 50), dshirtwettrans)
    
# open State 'P'
    $ Pripe = im.Composite((600, 400), (250, 100), skirt, (100, 50), shirtopen)
    $ Pripetrans = im.Composite((600, 400), (250, 100), skirttrans, (100, 50), shirtopentrans)
    $ dPripe = im.Composite((600, 400), (250, 100), dskirt, (100, 50), dshirtopen)
    $ dPripetrans = im.Composite((600, 400), (250, 100), dskirttrans, (100, 50), dshirtopentrans)
    
# open squeeze state (also 'P')

    $ Sripe = im.Composite((600, 400), (250, 100), skirt, (100, 50), shirtsqueeze)
    $ Sripetrans = im.Composite((600, 400), (250, 100), skirttrans, (100, 50), shirtsqueezetrans)
    $ dSripe = im.Composite((600, 400), (250, 100), dskirt, (100, 50), dshirtsqueeze)
    $ dSripetrans = im.Composite((600, 400), (250, 100), dskirttrans, (100, 50), dshirtsqueezetrans)

# open bottomless State 'PB'
    $ PBripe = im.Composite((600, 400), (100, 50), shirtopen)
    $ PBripetrans = im.Composite((600, 400), (100, 50), shirtopentrans)
    $ dPBripe = im.Composite((600, 400), (100, 50), dshirtopen)
    $ dPBripetrans = im.Composite((600, 400), (100, 50), dshirtopentrans)

# open bottomless squeeze state (also 'PB')

    $ SBripe = im.Composite((600, 400), (100, 50), shirtsqueeze)
    $ SBripetrans = im.Composite((600, 400), (100, 50), shirtsqueezetrans)
    $ dSBripe = im.Composite((600, 400), (100, 50), dshirtsqueeze)
    $ dSBripetrans = im.Composite((600, 400), (100, 50), dshirtsqueezetrans)
    
# naked State 'N'
    $ Nripe = Npurefrilly #same composited piece with one alpha'd image
    $ Nripetrans = Npurefrilly
    $ dNripe = Npurefrilly
    $ dNripetrans = Npurefrilly


# We're reusing definitions here, but this time we insert panty between body layer and clothes layer.
# note how we reuse some states from pure

    $ secretaryclothescompositepcss = ConditionSwitch(
        "sexystate == 'F' and clothestype == 'light' and transparency == 'off'", Image(EpurePS),
        "sexystate == 'F' and clothestype == 'light' and transparency == 'on'", Image(EpurePStrans),
        "sexystate == 'F' and clothestype == 'dark' and transparency == 'off'", Image(dEpurePS),
        "sexystate == 'F' and clothestype == 'dark' and transparency == 'on'", Image(dEpurePStrans),

        "sexystate == 'T' and clothestype == 'light' and transparency == 'off'", Image(TpurePS),
        "sexystate == 'T' and clothestype == 'light' and transparency == 'on'", Image(TpurePStrans),
        "sexystate == 'T' and clothestype == 'dark' and transparency == 'off'", Image(dTpurePS),
        "sexystate == 'T' and clothestype == 'dark' and transparency == 'on'", Image(dTpurePStrans),
        
        "sexystate == 'B' and clothestype == 'light' and transparency == 'off'", Image(EBpurePS),
        "sexystate == 'B' and clothestype == 'light' and transparency == 'on'", Image(EBpurePStrans),
        "sexystate == 'B' and clothestype == 'dark' and transparency == 'off'", Image(dEBpurePS),
        "sexystate == 'B' and clothestype == 'dark' and transparency == 'on'", Image(dEBpurePStrans),
        
        "sexystate == 'E' and clothestype == 'light' and transparency == 'off'", Image(EripePS),
        "sexystate == 'E' and clothestype == 'light' and transparency == 'on'", Image(EripePStrans),
        "sexystate == 'E' and clothestype == 'dark' and transparency == 'off'", Image(dEripePS),
        "sexystate == 'E' and clothestype == 'dark' and transparency == 'on'", Image(dEripePStrans),
        
        "sexystate == 'EB' and clothestype == 'light' and transparency == 'off'", Image(EBripePS),
        "sexystate == 'EB' and clothestype == 'light' and transparency == 'on'", Image(EBripePStrans),
        "sexystate == 'EB' and clothestype == 'dark' and transparency == 'off'", Image(dEBripePS),
        "sexystate == 'EB' and clothestype == 'dark' and transparency == 'on'", Image(dEBripePStrans),
        
        "sexystate == 'P' and clothestype == 'light' and transparency == 'off'", Image(PpurePS),
        "sexystate == 'P' and clothestype == 'light' and transparency == 'on'", Image(PpurePStrans),
        "sexystate == 'P' and clothestype == 'dark' and transparency == 'off'", Image(dPpurePS),
        "sexystate == 'P' and clothestype == 'dark' and transparency == 'on'", Image(dPpurePStrans),
        
        "sexystate == 'PB' and clothestype == 'light' and transparency == 'off'", Image(PBpurePS),
        "sexystate == 'PB' and clothestype == 'light' and transparency == 'on'", Image(PBpurePStrans),
        "sexystate == 'PB' and clothestype == 'dark' and transparency == 'off'", Image(dPBpurePS),
        "sexystate == 'PB' and clothestype == 'dark' and transparency == 'on'", Image(dPBpurePStrans),
        
        "sexystate == 'N' and clothestype == 'light' and transparency == 'off'", Image(NpurePS),
        "sexystate == 'N' and clothestype == 'light' and transparency == 'on'", Image(NpurePStrans),
        "sexystate == 'N' and clothestype == 'dark' and transparency == 'off'", Image(dNpurePS),
        "sexystate == 'N' and clothestype == 'dark' and transparency == 'on'", Image(dNpurePStrans),
    )


    $ secretaryclothescomposite = ConditionSwitch(
        "sexystate == 'F' and clothestype == 'light' and transparency == 'off'", Image(fullripe),
        "sexystate == 'F' and clothestype == 'light' and transparency == 'on'", Image(fullripetrans),
        "sexystate == 'F' and clothestype == 'dark' and transparency == 'off'", Image(dfullripe),
        "sexystate == 'F' and clothestype == 'dark' and transparency == 'on'", Image(dfullripetrans),

        "sexystate == 'T' and clothestype == 'light' and transparency == 'off'", Image(Tripe),
        "sexystate == 'T' and clothestype == 'light' and transparency == 'on'", Image(Tripetrans),
        "sexystate == 'T' and clothestype == 'dark' and transparency == 'off'", Image(dTripe),
        "sexystate == 'T' and clothestype == 'dark' and transparency == 'on'", Image(dTripetrans),
        
        "sexystate == 'B' and clothestype == 'light' and transparency == 'off'", Image(Bripe),
        "sexystate == 'B' and clothestype == 'light' and transparency == 'on'", Image(Bripetrans),
        "sexystate == 'B' and clothestype == 'dark' and transparency == 'off'", Image(dBripe),
        "sexystate == 'B' and clothestype == 'dark' and transparency == 'on'", Image(dBripetrans),
        
        "sexystate == 'E' and clothestype == 'light' and transparency == 'off'", Image(Eripe),
        "sexystate == 'E' and clothestype == 'light' and transparency == 'on'", Image(Eripetrans),
        "sexystate == 'E' and clothestype == 'dark' and transparency == 'off'", Image(dEripe),
        "sexystate == 'E' and clothestype == 'dark' and transparency == 'on'", Image(dEripetrans),
        
        "sexystate == 'EB' and clothestype == 'light' and transparency == 'off'", Image(EBripe),
        "sexystate == 'EB' and clothestype == 'light' and transparency == 'on'", Image(EBripetrans),
        "sexystate == 'EB' and clothestype == 'dark' and transparency == 'off'", Image(dEBripe),
        "sexystate == 'EB' and clothestype == 'dark' and transparency == 'on'", Image(dEBripetrans),
        
        "sexystate == 'P' and clothestype == 'light' and transparency == 'off' and boobstate != 'b1' and boobstate != 'b4'", Image(Pripe),
        "sexystate == 'P' and clothestype == 'light' and transparency == 'on' and boobstate != 'b1' and boobstate != 'b4'", Image(Pripetrans),
        "sexystate == 'P' and clothestype == 'dark' and transparency == 'off' and boobstate != 'b1' and boobstate != 'b4'", Image(dPripe),
        "sexystate == 'P' and clothestype == 'dark' and transparency == 'on' and boobstate != 'b1' and boobstate != 'b4'", Image(dPripetrans),
        
        "sexystate == 'P' and clothestype == 'light' and transparency == 'off' and (boobstate == 'b1' or boobstate == 'b4')", Image(Sripe),
        "sexystate == 'P' and clothestype == 'light' and transparency == 'on' and (boobstate == 'b1' or boobstate == 'b4')", Image(Sripetrans),
        "sexystate == 'P' and clothestype == 'dark' and transparency == 'off' and (boobstate == 'b1' or boobstate == 'b4')", Image(dSripe),
        "sexystate == 'P' and clothestype == 'dark' and transparency == 'on' and (boobstate == 'b1' or boobstate == 'b4')", Image(dSripetrans),
        
        "sexystate == 'PB' and clothestype == 'light' and transparency == 'off' and boobstate != 'b1' and boobstate != 'b4'", Image(PBripe),
        "sexystate == 'PB' and clothestype == 'light' and transparency == 'on' and boobstate != 'b1' and boobstate != 'b4'", Image(PBripetrans),
        "sexystate == 'PB' and clothestype == 'dark' and transparency == 'off' and boobstate != 'b1' and boobstate != 'b4'", Image(dPBripe),
        "sexystate == 'PB' and clothestype == 'dark' and transparency == 'on' and boobstate != 'b1' and boobstate != 'b4'", Image(dPBripetrans),
        
        "sexystate == 'PB' and clothestype == 'light' and transparency == 'off' and (boobstate == 'b1' or boobstate == 'b4')", Image(SBripe),
        "sexystate == 'PB' and clothestype == 'light' and transparency == 'on' and (boobstate == 'b1' or boobstate == 'b4')", Image(SBripetrans),
        "sexystate == 'PB' and clothestype == 'dark' and transparency == 'off' and (boobstate == 'b1' or boobstate == 'b4')", Image(dSBripe),
        "sexystate == 'PB' and clothestype == 'dark' and transparency == 'on' and (boobstate == 'b1' or boobstate == 'b4')", Image(dSBripetrans),
        
        "sexystate == 'N' and clothestype == 'light' and transparency == 'off'", Image(Nripe),
        "sexystate == 'N' and clothestype == 'light' and transparency == 'on'", Image(Nripetrans),
        "sexystate == 'N' and clothestype == 'dark' and transparency == 'off'", Image(dNripe),
        "sexystate == 'N' and clothestype == 'dark' and transparency == 'on'", Image(dNripetrans),
    )

# We're reusing definitions here, but this time we insert panty between body layer and clothes layer.
    image trionafoursec = LiveComposite((800, 450), (0, 0), bg, (120, 0), headpart, (180, 60), nosepart, (150, 50), secretarycomposite, (160, 0), expressionconstruct, (400, 100), secpantsu, (100, 0), secretaryclothescompositepcss, (120, 0), hairposeAF)
    
    image trionasecretary = LiveComposite((800, 450), (0, 0), bg, (120, 0), headpart, (180, 60), nosepart, (150, 50), secretarycomposite, (160, 0), expressionconstruct, (400, 100), secpantsu, (400, 200), stockings, (100, 0), secretaryclothescomposite, (120, 0), hairposeAF)

# Got milk?
    image M_dispenser = Animation("AF_milk_dispenser1.png", 0.2, "AF_milk_dispenser2.png", 0.2,)
    $ M_dispenserpos = Position(xpos=0, xanchor=0, ypos=280, yanchor=0) 
    image M_drip = Animation("AF_milk_drip1.png", 0.2, "AF_milk_drip2.png", 0.2, "AF_milk_drip3.png" , 0.2,)
    $ M_drippos = Position(xpos=200, xanchor=0, ypos=250, yanchor=0) 
    image M_f1 = "AF_milk_squeeze.png"
    image M_f2 = "AF_milk_fling1.png"
    $ M_f23pos = M_drippos
    $ M_f1pos = Position(xpos=0, xanchor=0, ypos=200, yanchor=0) 
    image M_f3 = "AF_milk_fling2.png"    
    $ M_receptpos = M_drippos
    image M_receptacle = Animation("AF_milk_receptacle1.png", 0.2, "AF_milk_receptacle2.png", 0.2, )
    image M_wetting = "AF_milk_wetting.png"
    $ M_wetpos = Position(xpos=230, xanchor=0, ypos=250, yanchor=0)
    image cup = "AF_props_cup.png"
    $ cuppos1 = Position(xpos=0, xanchor=0, ypos=300, yanchor=0)   
    $ cuppos2 = Position(xpos=220, xanchor=0, ypos=370, yanchor=0)      
    image milker ="AF_props_milker.png"
    $ milkerpos = Position(xpos=0, xanchor=0, ypos=150, yanchor=0)
    image receptacle = im.Alpha("AF_props_receptacle.png", 0.5)
    $ receptaclepos = Position(xpos=200, xanchor=0, ypos=200, yanchor=0)
    image fluidburst3 = im.Scale("fluidburst3.png", 500, 320)
    $ fb3 = Position(xpos=180, xanchor=0, ypos=50, yanchor=0)
    
# activate and  use this just for constructing other poses (such as the custom OP pictures, where you need other bgs)
#    image temporaryOP = LiveComposite((800, 450),  (300, 0), headpart, (360, 60), nosepart, (300, 0), hairpose, (340, 0), expressionconstruct, (200, 60), princesscomposite, (300, 0), "HD_blush.png", (348, 104), necklace)